﻿# The script of the game goes in this file.

# show character at left with move, or fade

# Declare characters used by this game. The color argument colorizes the
# name of the character.

define s = Character("Smarty", who_color = "8675b7")
define fs = Character("Fluffy", who_color = "8675b7") #former smarty
define ms = Character("Minerva", who_color = "8675b7") #renamed smarty
define d = Character("Daddy", who_color = "3f485c")
define b = Character("Fluffy", who_color = "6b470f")
define bw = Character("Walnut", who_color = "6b470f") #renamed fluffy
define f = Character("Fast", who_color = "00f6f9")
define c = Character("Candy", who_color = "ff8e8e")
define r = Character("Fart", who_color = "9f9d00")
define angryhuman = Character("Angry human", who_color = "500000")
define narrator = Character(what_italic=True)

define theend = Character(None, what_text_align=0.5, what_xalign=0.5)



# The game starts here.

label start:

    $ score = 0
    $ racenumber = 0
    $ fastspeed = 15
    $ racesrun = 0
    $ scaredypoopies_flag = False
    $ saidlostdaddy_flag = False
    $saidlost = False
    $saidforgot = False
    $saidpoopies = False
    $ nuzzlefast = 0
    $ heardofplaytime = False
    $ fluffyopinion = False
    $ searchedwithfluffy = 0
    $ nummiesnumber = 0
    $ searchtrash = True
    $ searchseagulls = True
    $ searchcandybar = True
    $ arttalk = True
    $ knowalicorns = False
    $ retardstack = False
    $ talkedofspecialhuggies = False
    $ askfortiredrace = True #not sure why this needs to be here...
    $ eyequestion = True
    $ learnedofglass = False
    $ cleaningfail = False



    $ candytalk = True
    $ fasttalk = True
    $ smartytalk = True
    $ fluffytalk = True
    $ retardtalk = True

    #remaking the whole talk system: Candy done, Retard done, Smarty done, Fast done, Fluffy done
    $ talkedtoCandy = False
    $ toldcandynotafraid = False
    $ adventuredwithfluffy = False
    $ askedfluffyspecialhugs = False

    $ scoredfluffy = False
    $ scoredsmarty = False
    $ scoredfast = False
    $ scoredcandy = False
    $ scoredretard = False

    $ learnedsix = False
    python:
        yellowsname = __("Fart") # Remember to change smarty mentioning her manually!
        yellowsname = yellowsname.strip()
        yn = __("Fawt")
        yn = yn.strip()

    # Show a background. This uses a placeholder by default, but you can
    # add a file (named either "bg room.png" or "bg room.jpg") to the
    # images directory to show it.

    #scene bg splashscreen

    jump dontdebug #skips debugging code
    menu debugmenu:
        "DEBUG - Skip beginning. Score [score]":
            python:
                playername = renpy.input(_("What's your name?"))
                playername = playername.strip() or __("Fluffy")
                playername = playername.title()
            define p = Character("[playername]")

            python:
                pn = renpy.input(_("How does a fluffy pronounce it?"))
                pn = pn.strip() or __("Fwuffy")
                pn = pn.title()
            scene bg alley with dissolve
            jump fluffiesmenu
        "DEBUG - Score Candy":
            $ scoredcandy = True
            $ score +=1
            "Ending enabled!"
            jump debugmenu
        "DEBUG - Score Fluffy":
            $ scoredfluffy = True
            $ score +=1
            "Ending enabled!"
            jump debugmenu
        "DEBUG - Score Smarty":
            $ scoredsmarty = True
            $ score +=1
            "Ending enabled!"
            jump debugmenu
        "DEBUG - Score Fast":
            $ scoredfast = True
            $ score +=1
            "Ending enabled!"
            jump debugmenu
        "DEBUG - Score [yellowsname]":
            $ scoredretard = True
            $ score +=1
            "Ending enabled!"
            jump debugmenu
        "Play normally":
            jump dontdebug
    label debugskip:

        define p = Character("Player")
    python:
        pn = "Pwayew"
    jump fasttired
    label dontdebug:
        scene bg namescreen with dissolve
    python:
        playername = renpy.input(_("What's your name?"))
        playername = playername.strip() or __("Fluffy")
        playername = playername.title()
    define p = Character("[playername]")

    python:
        pn = renpy.input(_("How does a fluffy pronounce it?"))
        pn = pn.strip() or __("Fwuffy")
        pn = pn.title()




    # This shows a character sprite. A placeholder is used, but you can
    # replace it by adding a file named "eileen happy.png" to the images
    # directory.

    #show eileen happy
    #show smarty happy

    # These display lines of dialogue.
    scene bg crowd with fade
    "It's a beautiful day, and your daddy has taken you out for walkies."
    "You are always excited to see the big world outside your housie."
    "There are more people walking around than you knew there was in the whole world!"
    d "Stay close [playername], there's a lot of traffic today."
    p "Otay daddeh!"
    "You get closer to him so no one trips on your leash. It has happened a few times before, and it hurt!"
    "You push your way through the crowd, expertly dodging the feet of people walking in every direction."
    "After what seemed like forever, the crowd is finally getting sparse enough that you can talk with your daddy again."
    p "[pn] neva seen so many-"
    "You stop as you look up at your daddy, only to see a complete stranger walking by your side."
    "His shoes looked so similar you didn't notice where you got lost."
    p "Oh noes! [pn] fowwow wwong hoomin!"
    "You try to look around, but don't see your daddy anywhere. How could you even get further from daddy than your leash?"
    "You spin around trying to find your leash, only to realize that at some point your collar had come off and you had lost your leash along with it."
    p "Daddeh? Daddeh! [pn] wost [pn] cowwaw and weashie!"
    "You look around, but can't see your daddy anywhere."
    menu:
        "Go look for daddy":
            jump lookfordaddy
        "Stay put and wait for daddy":
            jump stayput
        "Cry":
            jump cry
    label lookfordaddy:
        "You look around, but there are humans everywhere and you don't even know which way you came from anymore."
        scene bg emptystreet with dissolve
        "You wander around shouting for him, but it is hopeless."
        "Eventually you have to give up your search, sitting down exhausted and defeated."
        jump endsearch
    label stayput:
        "Remembering what your daddy taught you, you stay put and wait for him to find you."
        "People pass by as you sit on the roadside and yell for daddy, but he's nowhere to be seen."
        jump endsearch
    label cry:
        "You sit on your haunches and start crying."
        p "Huuhuu! [pn] wan daddeh!"
        "You keep crying for a while, but at least you feel a little better getting saddies out of your system."
        jump endsearch
    label endsearch:
        "Suddenly, you are approached by a big brown fluffy."
        show fluffy worried with dissolve
        b "Hewwo? Wy fwend saddies?"

    menu:
        "I lost my daddy!":
            jump saidlostdad
        "I don't have a special friend!":
            jump nospecialfriend

    label saidlostdad:
        $ saidlostdaddy_flag = True
        p "[pn] lost daddeh!"
        b "Oh noes!"
        b "Fwuffy giv [pn] huggies!"
        "You hug her, feeling a little better about your situation. Huggies make everything better."
        show fluffy happy
        b "[pn] can stay wif hewd untiw find daddeh. Fwuffies hewp [pn]!"
        #jump firstanswerdone #This is the old intro, all its text will be skipped now
        jump improvedintro
    label nospecialfriend:
        $ saidlostdaddy_flag = False
        p "[pn] nu haf speshul fwend!"
        show fluffy surprised
        b "Oh!"
        show fluffy happy
        b "Dewe am many fwuffies in da hewd. Maybe [pn] find speshul fwend dewe?"
        #jump firstanswerdone #This is the old intro, all its text will be skipped now
        jump improvedintro
    label improvedintro:
        menu:
            "Sorry, I must wait here for daddy to find me.":
                p "Nu, [pn] wait fow daddeh!"
                b "Otay. Fwuffy wait wif [pn]!"
                "The fluffy sits next to you as you sit by the roadside in case daddy comes find you."
                "You talk about your daddy, your house, toys, and FluffTV. You learn that she likes huggies, babies, and sleeping in a fluffpile."
                "You talk forever, until the fluffy stands up to leave."
                show fluffy worried
                b "Fwuffy need go home nao. Hewd wowwied if fwuffy nu come!"
                "You don't want to be left alone again. Especially when daddy doesn't seem to be coming for you."
                "Before fluffy can get too far, you make up your mind."
                p "Wait! [pn] come wif you!"
                show fluffy happy
                b "Yay! Fowwow fwuffy, fwuffy show hewd safe pwace!"
                jump following
            "Yes, let's go.":
                p "Otay. [pn] fowwow fwuffy."
                b "Stay cwose, fwuffy show hewd safe pwace!"
    label following:
        scene bg emptystreet
        show fluffy happy
        with dissolve
        "You follow fluffy much farther than you've ever walked by yourself."
        "Actually, you have ever been on walkies only with daddy, and the world looks so much scarier without him to pick you up if you get tired or scared."
        show fluffy worried
        b "Someting wwong? [pn] haf scawedies?"
        menu:
            "I'm scared!":
                p "[pn] scawed!"
                $ fluffyopinion +=1
                "Fluffy hugs you reassuringly."
                b "Nu be scawed [pn]. Fwuffy take cawe of [pn]!"
                "After a little reassuring you feel good enough to continue again."
                show fluffy happy
                b "Fwuffies awmost at safe pwace. [pn] get wots of huggies dewe!"
                "You start walking again, and soon arrive to the entrance of the safe place."
                jump following2
            "Nothing.":
                p "Nuffing."
                show fluffy happy
                b "Good. Fwuffy happy to heaw dat!"
                "You follow her the rest of the way, soon arriving to the entrance of the safe place."
                jump following2
            "This is boring!":
                p "[pn] bowed of wawkies!"
                show fluffy worried
                b "Nu stop nao [pn]! Fwuffies awmost at safe pwace!"
                show fluffy happy
                b "If [pn] wan, fwuffies can wun too!"
                "You run side by side for almost one block. You're both out of breath but sure got there fast!"
                jump following2
    label following2:
            scene bg streetentry
            show fluffy happy
            with dissolve
            b "Hewe, safe pwace behind howe!"
            "She squeezes through a hole in the wire fence, leading you to an isolated alley between two buildings."
            b "Safe pwace am safe. Fwuffies safe to hug, pway and sweepies hewe!"
            menu:
                "That's great!":
                    p "Dat good!"
                    jump following3
                "Is it really safe?":
                    p "Safe pwace weally safe?"
                    b "Yes! Howe too widdle fow mustas to come twough."
                    b "Awso hidies fwom meanies. Safe pwace am safest pwace evah!"
                    $ fluffyopinion +=1
                    jump following3
    label following3:
        scene bg alley
        with Dissolve(.5)
        "You waddle forward to a secluded part of the alley, where several fluffies of different colors are playing with a makeshift ball."
        show smarty happy with dissolve
        s "Hewwo nyu fwend!"
        s "Am smawty, and dis am smawty hewd!"
        s "The smarty waddles over to you and gives you a hug."
        if saidlostdaddy_flag:
            show smarty happy at left with move
            show fluffy worried at right with dissolve
            b "[pn] lost [pn] daddeh!"
            show smarty sad
            s "Oh noes!"
            "The smarty hugs you again, holding you for a long time."
            s "Nu wowwy [pn], [pn] nu am awone!"
            show smarty happy
            show fluffy happy
            s "Hewe, meet da hewd!"
            jump introductions
        else:
            show smarty happy at left with move
            show fluffy happy at right with dissolve
            b "[pn] wan speshul fwend!"
            s "Hooway! Fwuffies nu had stawwions in hewd befowe!"
            "You feel excited about the prospect as the smarty calls the other fluffies over to introduce them."
            jump introductions
        label introductions:
        hide fluffy with dissolve
        #hide smarty
        s "Dis am-"
        show fast happy at right with Dissolve(.1)
        show smarty silent
        f "Fast am FAST!"
        hide fast with Dissolve(0.1)
        "Before you have time to react, a blue pegasus runs in, introduces herself and proceeds to run a lap around the alley before returning to you."
        show fast happy at right with Dissolve(.1)
        f "Fast am fastest fwuffy EVAH!"
        show smarty happy
        s "Dat twue. Fast am vewy fast!"
        menu:
            "Say hello":
                jump toofasthi
            "Ask how fast she is":
                jump toofastquestion
        label toofasthi:
            show smarty silent
            p "Hewwo-"
            hide fast with Dissolve(.1)
            "You start to greet Fast, but she is already gone, running around the alley at dizzying speeds."
            jump introducefluffy
        label toofastquestion:
            show smarty silent
            p "How fast-"
            hide fast with Dissolve(.1)
            "You start asking Fast, but she is already gone, running around the alley at dizzying speeds."
            "The answer is, VERY fast!"
            jump introducefluffy
        label introducefluffy:
            show smarty happy
            show retard happy at right with dissolve
            s "As Smawty was saying, dis am [yn]."
            show smarty silent
            r "Fwend?"
            menu:
                "Hello [yellowsname]!":
                    jump helloretard
                "Why is she called [yellowsname]?":
                    jump whyretard
        label helloretard:
            p "Hewwo [yn]!"
            r "Fwend!"
            "The odd fluffy moves forward and gives you a hug, it's eyes never focusing on anything even close to you."
            r "Sweepy time!"
            hide retard with dissolve
            "[yellowsname] lets go of you and runs straight into the back wall of the cardboard box with a loud thump. You're not sure if she fell asleep or knocked herself out."
            show smarty happy
            s "Nu wowwy, [yn] awways wike dis."
            jump introduceCandy
        label whyretard:
            p "Wy fwuffy name [yn]?"
            r "Dadde giv naem!"
            show smarty facehoof
            s "Dat nu was daddeh. Dat was meanie saying 'gu way yewwow fawt!'"
            show smarty happy
            hide retard with dissolve
            s "[yn] nu smawt fwuffy. But [yn] stiww good fwend."
            jump introduceCandy
        label introduceCandy:
            s "Wastest fwuffy am Candy."
            show smarty serious
            s "Pwease nu be afwaid [pn], Candy am scawy, buh Candy stiww good fwuffy!"
            menu:
                "Promise not to be afraid.":
                    jump promisenofear
                "Ask why she's scary.":
                    jump whyscary
        label promisenofear:
            p "Otay, [pn] nu be scawed!"
            "Then you see her..."
            jump candyappears
        label whyscary:
            s "Candy... am a munstah. Candy haf pointy AND wingies!"
            p "What? Dewe nu am fwuffies wike dat!"
            s "Yes dewe awe! Candy am!"
            "As you try to wrap your head around what Smarty just said, the impossible amalgation of fluffy bodyparts fills your vision."
            jump candyappears



        label candyappears:
            show candy happy
            show smarty seriousquiet
            c "Hewwo fwend."
            menu:
                "Try not to scream":
                    jump noscreaming
                "Try not to poop":
                    jump nopooping
            label noscreaming:
                $ scaredypoopies_flag = True
                jump fear
            label nopooping:
                $ scaredypoopies_flag = False
                jump fear
            label fear:
                "Your mind reels as you try to make sense of what you're seeing."
                "She has a horn like an unicorn, but she isn't an unicorn. And she has wings like a pegasus, but she can't be a pegasus either because pegasi don't have horns."
                "What is a fluffy that isn't a pegasus, unicorn NOR an earthie fluffy?!"

                if scaredypoopies_flag:
                    "As you use all your willpower to keep from screaming your lungs out, your bowels void themselves from sheer terror."
                    show smarty shocked
                    s "[pn] nuu! Nu make bad poopies!"
                else:
                    p "SCREEEEE! MUNSTAH!"
                    show smarty serious
                    s "Nu be scawed [pn]! Is otay! Is onwy Candy!"
                    show smarty seriousquiet
                    "You stop screaming, your breath racing as you look back and forth between Smarty and the monster."
                    s "Candy good fwuffy! Candy nu huwt fwuffies!"
                    "You wonder whether Smarty knows what she's talking about. Just looking at the pink monster fills your mind with visions of her fluff absorbing you and adding your leggies to its body."
                show candy reassuring
                show smarty seriousquiet
                c "*sigh* It's otay Smawty. Candy undastands fwuffies am scawed."
                "The monster talks in a gentle, reassuring voice, in stark contrast to its incomprehensible physique."
                c "Hewwo [pn]. Candy knows you am scawed, buh it's otay."
                c "Candy nu come cwose unwess you want. Dat otay?"
                "You stare at her with confusion. That sounds... surprisingly reasonable for a monster. Slightly reassured, you give her a cautious nod."
                p "O-otay."
                hide candy with dissolve
                "Candy slowly backs away from you. You let out a breath of relief over surviving the encounter."
                "Most of all, she was very kind for a monster. If she was a regular fluffy she would probably be a good friend."
                show smarty happy at center with move
                s "Candy am scawy, but nu am bad fwuffy. Pwease nu giv candy saddies."
                p "[pn] sowwy. Dat was too scawy!"
                show smarty happy
                s "Its otay [pn]. Smawty undastand."
                if scaredypoopies_flag:
                    show smarty headtilt
                    s "Nao cwean up dose poopies! Nu smeww pwetty!"
                    hide smarty with Fade(1,0.1,1)
                    "After finishing your icky ordeal, you are standing alone and watching the fluffies go about their business. What will you do?"
                else:
                    hide smarty with dissolve
                    "As the smarty leaves you to your own devices, you find yourself standing alone and watching the fluffies go about their business. What will you do?"




                label fluffiesmenu:
                    if score>4:
                        jump heardaddy
                menu:
                    "Talk to Fluffy" if not adventuredwithfluffy:
                        jump talktofluffy
                    "Talk to Fluffy" if adventuredwithfluffy:
                        jump talktofluffyafteradventuring
                    "Talk to Smarty":# if smartytalk:
                        jump talktosmarty
                    "Talk to Fast":# if fasttalk:
                        jump talktofast
                    "Talk to Candy" if not knowalicorns:
                        jump candyfeared
                    "Talk to Candy" if knowalicorns:
                        jump candynotfeared
                    "Talk to [yellowsname]":# if retardtalk:
                        jump talktoretard
                    "Sleep the day away" if score<1:
                        jump sleepend
                    "Go to sleep with your special friend" if score == 1:
                        jump individualending
                    "Go to sleep with your special friends" if score > 1:
                        jump compositesleep





        ##################################### CANDY, FEARED ***************************************
                label candyfeared:
                    $ talkedtoCandy = True
                    #$ whymonsterq = True
                    #$ candynameq = True
                    #$ scaredherdquestionq = True
                    #$ candyscaredyhugsq = True
                    #$ scaredyspecialhugsq = True

                    "You quickly spot Candy talking with fluffy. You can barely believe how fearlessly she interacts with the pointy-wingy-monster."
                    "Your jaw drops as you see her get even closer and give the monster a big warm hug before walking away."
                    "You shake off your shock and approach Candy with quivering legs."
                    p "H-hewwo Candy."
                    show candy happy with dissolve
                    c "Hewwo [pn]!"
                    "You gulp. She smiles warmly but you keep your distance."
                label fearedmenu:
                    menu:
                        "Ask why she's a monster":# if whymonsterq:
                            jump whymonster
                        "Ask how she got her name":# if candynameq:
                            jump candyname
                        "Ask what she thinks about the herd":# if scaredherdquestionq:
                            jump scaredherdquestion
                        "Offer huggies":# if candyscaredyhugsq:
                            jump candyscaredyhugs
                        "Offer special huggies" if not scoredcandy:
                            jump scaredyspecialhugs
                        "Say goodbye":
                            jump leavecandyscared
                label whymonster:
                    p "W-why Candy am munstah?"
                    show candy sad
                    "Candy sighs and looks to the ground."
                    c "Candy nu know. Candy was just bown with pointy and wingies. Nu now why."
                    show candy happy
                    c "Buh it's otay. Hewd nu am scawed of Candy nu mowe!"
                    show candy reassuring
                    c "Candy hope someday [pn] nu be scawed eithew."
                    show candy happy
                    $whymonsterq = False
                    jump fearedmenu
                label candyname:
                    $candynameq = False
                    show candy yay
                    c "Candy name Candy hewsewf. Candy didn't wike being cawwed munstah, so Candy chose a pwetty name instead."
                    menu:
                        "Fluffies can't name themselves!":
                            jump cantname
                        "That's actually brilliant.":
                            jump smartnaming
                    label cantname:
                        p "Fwuffies nu can giv fwuffies names! Hoomins giv names!"
                        show candy happy
                        c "Wy not?"
                        p "[pn]... haf nu idea."
                        "Candy smiles knowingly."
                        if knowalicorns:
                            jump candynicemenu
                        else:
                            jump fearedmenu
                    label smartnaming:
                        p "Dat smawt!"
                        show candy yay
                        c "Thank you!"
                        show candy happy
                        if knowalicorns:
                            jump candynicemenu
                        else:
                            jump fearedmenu
                label scaredherdquestion:
                    $ scaredherdquestionq = False
                    p "Wat Candy think of da hewd?"
                    show candy yay
                    c "Dis am good hewd! Find wots of nummies and haf wots of pway and huggies!"
                    c "With you hewd nao haf {i}six fwuffies!{/i} Dat many fwends!"
                    show candy happy
                    $ learnedsix = True
                    if knowalicorns:
                        jump candynicemenu
                    else:
                        jump fearedmenu
                label candyscaredyhugs:
                    $ candyscaredyhugs = False
                    p "Candy wan huggies?"
                    show candy yay
                    c "Yes pwease! Candy wuv huggies!"
                    show candy happy
                    "She beams with joy as she speads her hooves invitingly."
                    "At least it would be inviting, if she wasn't also terrifying."
                    "What have you gotten yourself into?"
                    menu:
                        "Hug her":
                            jump forcedhug
                        "Retreat":
                            jump retreatfromhug
                    label forcedhug:
                        "Legs quivering, you slowly make your way over to her. You try to focus on how fluffy hugged her and nothing bad happened, but the idea of hugging something so strange still weirds you out."
                        "With great effort you force yourself over to her, and throw your hooves around her. She embraces you softly, but her warmth does little to comfort your fears."
                        "Not a moment too soon, you let go of her and hastily retreat to your safe distance, heart still racing from the excitement."
                        c "Dat was good huggies! [pn] wike?"
                        menu:
                            "Too scary!":
                                jump huggedandfeared
                            "Yes it was.":
                                jump huggedandbraved
                        label huggedandfeared:
                            "You cannot keep the brace face any longer as the stress of the experience comes flooding back."
                            p "Huuhuu! Huggies too scawy!"
                            show candy sad
                            c "Oh noes! Pwease nu cwy! Candy nu mean to scawe [pn]!"
                            "She looks after you with sadness as you run away from her, but luckily doesn't run after you."
                            scene bg alley with dissolve
                            jump fluffiesmenu
                        label huggedandbraved:
                            p "Y-yes Candy, [pn] w-wuved huggies!"
                            show candy reassuring
                            c "Suwe, [pn]... Buh thank you. Dat gave Candy heawt happies."
                            jump candyfeared
                    label retreatfromhug:
                        "You look at Candy at reconsider your choice. There's no way around it - she's just too scary!"
                        p "...sowwy Candy, [pn] nu wan huggies nu mowe..."
                        show candy sad
                        "Her ears droop as she lowers her hooves with a sad sigh."
                        show candy reassuring
                        c "It otay [pn]. Candy know Candy scawy."
                        c "Fwuffies haf time."
                        jump fearedmenu
                    label scaredyspecialhugs:
                        $ scaredyspecialhugs = False
                        p "C-candy wan speshul huggies?"
                        show candy yay
                        "Candy gasps in surprise and her face lights up with joy."
                        c "Weally? [pn] be Candy speshul fwend?"
                        menu:
                            "Of course!":
                                jump forcedscaredyspecialhugs
                            "Reconsider":
                                jump noscaredyspecialhugs
                        label forcedscaredyspecialhugs:
                        p "Of couwse! [pn] giv Candy good feews!"
                        c "YAY!"
                        "Candy turns around and presents her special place to you. You're not sure you did the right choice, because putting your no-no in a monster seems like a terrible mistake."
                        "As you rear up on your hind legs and lay your body against hers, the error of your ways is made painfully clear as you come face to face with her wings and horn, a confusing mess of mutually exclusive bodyparts."
                        menu:
                            "Enf Enf Enf":
                                jump fearsex1
                            "Give up":
                                jump giveupsex
                        label fearsex1:
                            "Steeling yourself to the max, you start thrusting your hips."
                            show candy yay
                            p "Enf, enf, enf..."
                            "But nothing happens. Your no-no is too soft."
                            menu:
                                "Keep trying":
                                    jump fearsex2
                                "Give up":
                                    jump giveupsex
                            label fearsex2:
                                show candy worried
                                p "Enf Enf Enf!"
                                "You try to pump your hips forward, but your no-no doesn't go in. Instead it's shrinking back to its hiding place inside your fluff."
                                menu:
                                    "Keep trying!":
                                        jump fearsex3
                                    "Give up":
                                        jump giveupsex
                                label fearsex3:
                                    show candy hopeful
                                    p "Enf Enf Enf Enf!"
                                    "It's hopeless! Your no-no has gone away and you are just bumping yourself fruitlessly against her poopy-place! Tears are starting to flow from your eyes as your despair rises."
                                    menu:
                                        "Keep trying!":
                                            jump fearsex4
                                        "Give up":
                                            jump giveupsex
                                    label fearsex4:
                                        show candy sad
                                        "ENF ENF ENF ENF!"
                                        show candy reassuring
                                        c "It's otay [pn], you can stop nao."
                                        show candy worried
                                        "You are already sobbing uncontrollably as you finally let yourself down from her scary back."
                                        p "[pn] sowwy! Huu huu... *sob*"
                                        "Candy moves in for a hug, but stops as she sees you shy away from her. Instead she opts to remain a short way from you and smiles reassuringly."
                                        show candy reassuring
                                        c "Nu wowwy [pn]. Candy suwe [pn] giv good speshul huggies. [pn] just scawed nao."
                                        p "Thank you Candy. [pn]... need go nao..."
                                        "You wipe your tears and walk away from her. You don't actually know what you're going to do, but you need to get away from her so you don't give each other saddies anymore."
                                        scene bg alley with dissolve
                                        jump fluffiesmenu
                            label giveupsex:
                                    "Dejected, you let yourself down from her back, relieved to avert your gaze from her scary back."
                                    show candy worried
                                    c "Wat happen? Something wwong?"
                                    p "[pn]... nu can giv Candy speshul huggies."
                                    "She looks at you with pity."
                                    show candy reassuring
                                    c "Oh..."
                                    c "It's otay. Maybe latew."
                                    show candy happy
                                    c "Candy stiww happy [pn] twied!"
                                    jump fearedmenu
                label leavecandyscared:
                    p "Bye bye Candy!"
                    show candy happy
                    c "Bye bye [pn]!"
                    "You wave to each other and you leave Candy to her own devices."
                    scene bg alley with dissolve
                    jump fluffiesmenu
        label noscaredyspecialhugs:
            p "Too scawy! Nu can!"
            show candy sad
            "Candy sighs."
            show candy happy
            "Otay. Fwuffies do somefing ewse then."
            jump fearedmenu
        label talktofast:
            "Fast is running around the alley, giggling and pushing a ball of paper with amazing speed and skill."
            p "Hewwo Fast! Wait fow [pn]!"
            show fast happy with dissolve

            if scoredfast:
                "She runs right at you and tackles you with a big hug."
                f "Hewwo speshul fwend!"
            else:
                "She finally notices you and stops for long enough for you to catch up to her."
                f "Hewwo [pn]! Wan pway baww?"
            $fasttalk = False
            #$playballq = True
            #$howyoufastq = True
            #$huggietagq = True
            #$fastnameq = True
            #$fastspecialhuggiesq = True
        ##################################### FAST ***************************************
        label fastmenu:
            menu:

                "Let's play ball!":# if playballq:
                    jump playball
                "Lets play huggie-tag!":# if huggietagq:
                    jump huggietag
                "How did you get your name?":# if fastnameq:
                    jump fastname
                "How are you so fast?":# if howyoufastq:
                    jump howyoufast
                "Ask for special huggies" if not scoredfast:
                    jump fastspecialhuggies
                "Bye bye!":
                    p "Bye bye Fast!"
                    f "Bye bye [pn]!"
                    "You look around for what else there is to do."
                    scene bg alley with dissolve
                    jump fluffiesmenu

            label playball:
                $playballq = False
                show fast yay
                f "YAY! Fast wuv baww!"
                hide fast with dissolve
                "You and fast run around, chasing the ball and pushing it around."
                "She moves like a cat, chasing the wildly bouncing paper ball at full gallop wihtout stumbling once!"
                "Most amazingly, she can even make the ball go where she wants! You doubt you could have even touched it if she didn't keep bumping it in your direction."
                "Eventually, you both go for the ball at the same time and tumble over each other, ending up hugging in a small pile of fluff."
                show fast happy with dissolve
                f "Whee! Dat was funsies!"
                menu:
                    "It sure was!":
                        jump ballwasfun
                    "It was too exhausting.":
                        jump ballwasexhausting
                label ballwasfun:
                    p "It suwe was! [pn] had so much funsies!"
                    show fast yay
                    f "Fast haf funsies too! Fast wuv [pn]!"
                    "She hugs you tightly before getting up on her hooves, looking too happy to stand still."
                    show fast happy
                    jump fastmenu
                label ballwasexhausting:
                    p "Game hawd! [pn] am tiwed nao."
                    show fast yay
                    f "Teehee!"
                    "She snuggles your cheek and gets up, watching with amusement as you're still catching your breath."
                    show fast happy
                    f "Nu wowwy [pn]! Pwactice make [pn] fastew!"
                    jump fastmenu
            label howyoufast:
                $ howyoufastq = False
                p "How Fast su fast?"
                show fast yay
                f "Fast haf wingies!"
                show fast happy
                "She turns sideways to give you a good view as she shows off her wings to you."
                show fast yay
                f "Fast nu just wun, Fast FWY!"
                #hide fast with dissolve
                "You watch as she runs a quick lap around the yard, flapping her pretty wings as she does."
                "She's a pegasus after all. The answer was so obvious you feel silly for even asking."
                #show fast happy with dissolve
                show fast happy
                jump fastmenu
            label huggietag:
                $huggietagq = False
                p "Wet's pway huggie-tag!"
                show fast yay
                f "Yay! Fast wuv huggie-tag!"
                show fast happy
            label playinghuggietag:
                menu:
                    "Run after Fast":
                        jump runafter
                    "Run around randomly":
                        jump runrandomly
                    "Run away from Fast":
                        jump runaway
                label runafter:
                    #hide fast with dissolve
                    "You run after Fast, but she is much too fast for you."
                    #show fast happy with dissolve
                    show fast yay
                    "Heehee! Nu can catch Fast!"
                    show fast happy
                    jump playinghuggietag
                label runrandomly:
                    #hide fast with dissolve
                    "You run around randomly. You almost catch Fast several times as she runs past and around you, but instead she manages to catch you!"
                    #show fast happy with dissolve
                    show fast yay
                    "Fast catch yu! Huggie time!"
                    jump huggietagover
                label runaway:
                    "You run away from Fast. It takes a second for her to notice, and only another for her to catch you."
                    show fast yay
                    f "Nice twy, but nu can get away fwom Fast!"
                    jump huggietagover
                label huggietagover:
                    "You and Fast hug each other. Huggie-tag is the best game! Every fluffy wins!"
                    show fast happy

                    jump fastmenu
        label fastname:
            $ fastnameq = False
            f "Fast nu haf name yet."
            p "Buh Fast am Fast!"
            f "Yes?"
            p "So Fast nu am Fast?"
            f "Wut [pn] mean? Of couwse Fast am Fast!"
            "Trying to think about this is making your head hurt so you decide to change the subject."
            jump fastmenu
        label fastspecialhuggies:
            p "Fast wan speshul huggies?"
            show fast yay
            f "YAY! Fast wuv speshul huggies! Make fastest babbehs!"
            show fast happy
            f "Buh fiwst, Fast wan wunnie wace wif [pn]!"
            $ whyraceq = True
            $ fastspecialhugspleaseq = True
        label racesuggestion:
            menu:
                "A race? You're on!":
                    p "Wace? Otay! [pn] wun!"
                    jump raceon
                "Race? Why?" if whyraceq:
                    p "Why wace? Why no speshul huggies?"
                    jump whyrace
                "I don't want to race, I just want special hugs!" if fastspecialhugspleaseq:
                    jump fastspecialhugsplease
                "Forget it.":
                    jump norace
            label raceon:
                show fast yay
                f "YAY! Fwuffies gonna wun so fast, den make fast babbehs!"
                "You didn't know that's how babies worked, but Fast seems to know what she's talking about."
                f "Hewe, fowwow fast!"
                "She sets of running out of the alley, with you following her as fast as you can."
                jump race
            label whyrace:
                $whyraceq = False
                show fast happy
                f "Wunnies feew good! Haf good wunnies befowe speshul huggies, make bestest feews even bettah!"
                jump racesuggestion
            label fastspecialhugsplease:
                $ fastspecialhugspleaseq = False
                p "[pn] nu wan wace! [pn] just wan speshul huggies!"
                show fast happy
                f "If nu wace, den nu speshul huggies!"
                jump racesuggestion
            label norace:
                p "Too hawd! [pn] nu wan speshul huggies nu mowe."
                f "Oh. Otay."
                jump fastmenu

    ##################################### RACE SCENE ***************************************
            label race:
            scene bg race with dissolve
            show fast happy with dissolve
            $racenumber = 0
            $saidlost = False
            $saidforgot = False
            $saidpoopies = False

            "You catch up to her on the open street. It's a beautiful day a comfortable breeze rustles your fluff."
            show fast yay
            f "Dis am pewfect fow wunnies!"
            p "It suwe am!"
            show fast happy
            f "Now da wules..."
            label rules:
                f "Fwuffies wun awound dat housie!"
                "She points her hoof at the house next to the alley. There are arrows drawn on its corners so you don't accidentally get lost along the way."
                f "So, fwuffies wun awound housie, and fiwst fwuffy hewe wins!"
                f "[pn] undastand?"
                jump racemenu
            label racemenu:
                menu:
                    "Ok, let's race!":
                        #$racenumber = 0
                        $saidlost = False
                        $saidforgot = False
                        $saidpoopies = False
                        jump startrace
                    "Could you explain the rules again?":
                        jump rulesplease
                    "I changed my mind.":
                        jump notgonnarace
            label rulesplease:
                p "Fast teww wules again?"
                f "Suwe!"
                jump rules
            label notgonnarace:
                p "[pn] nu wan wace anymowe!"
                show fast contempt
                f "Wat?"
                p "Wacing sound hawd! [pn] do someting ewse instead."
                "Fast is left watching in disbelief as you turn around and walk back to the alley you just came from."
                scene bg alley with dissolve
                jump fluffiesmenu

            label startrace:
                p "Wet's wace!"
                f "On go, wun fast:"
                f "Weady!"
                f "Set!"
                f "GO!"
                $ stamina = 100
                $ location = 0
                $ fastlocation = 0
                $ restsinrow = 0
                if racenumber < 1:
                    $ fastspeed = 15
                elif racenumber <2:
                    $ fastspeed = 13
                else:
                    $ fastspeed = 11
                $ progressreports = 0
                hide fast with dissolve
                label runmenu1:
                $howgo=""
                menu:
                    "Sprint":
                        jump runfast1
                    "Run":
                        jump run1
                    "Walk":
                        jump walk1
                    "Rest":
                        jump rest1
                label runfast1:
                    scene bg racefast with dissolve
                    $stamina -=40
                    $location +=20
                    $howgo="You run like the wind!"
                    $restsinrow = 0
                    jump runresult
                label run1:
                    scene bg racemedium with dissolve
                    $stamina -=20
                    $location +=15
                    $howgo="You run fast!"
                    $restsinrow = 0
                    jump runresult
                label walk1:
                    scene bg racewalk with dissolve
                    $location +=5
                    $stamina += 5
                    $howgo="You walk at a steady pace."
                    $restsinrow = 0
                    jump runresult
                label rest1:
                    scene bg race with dissolve
                    if racenumber == 1 and location < 1:
                        "You watch as Fast dashes off, wings fluttering as she darts ahead of you with incredible speed."
                        "As she rounds the corner, you lie down and make yourself comfortable. With her speed she'll be back soon enough."
                        jump didntrun2
                    elif racenumber ==2 and location < 1:
                        "Fast waddles away, huffing and puffing as she gives it all she's got. She's taking a little longer to round the first corner, but you know she'll be back eventually."
                        jump didntrun3
                    $stamina +=20
                    $restsinrow+=1
                    if stamina > 100:
                        $stamina = 100
                    if restsinrow<2:
                        $howgo="You sit down and rest."
                    elif restsinrow<3:
                        $howgo="You stretch your leggies."
                    elif restsinrow<4:
                        $howgo="You look at clouds. You see many that look like a big fluffies."
                    elif restsinrow<5:
                        $howgo="You close your eyes and think about sketties. Mmm..."
                    elif restsinrow<6:
                        $howgo="You sing a funny song."
                    elif restsinrow<7:
                        $howgo="You lie down and take a nap."
                    elif restsinrow<8:
                        $howgo="You yawn and stretch, feeling refreshed!"
                    elif restsinrow<9:
                        $howgo="You wonder what Fast is up to."
                    elif restsinrow<10:
                        $howgo="You sit around without a care in the world."
                    else:
                        $howgo="You feel like this is going to be a good day."
                    jump runresult
                label runresult:
                    $fastlocation+=fastspeed
                    $howgo+="\n"
                    if stamina > 99:
                        if restsinrow<2:
                            $howgo+="You feel great! \n"
                        elif restsinrow<3:
                            $howgo+="You feel agile! \n"
                        elif restsinrow<4:
                            $howgo+="You are filled with wonderment. \n"
                        elif restsinrow<5:
                            $howgo+="Your mouth waters. \n"
                        elif restsinrow<6:
                            $howgo+="You feel happy! \n"
                        elif restsinrow<7:
                            $howgo+="You feel the warm sunlight on your fluff. \n"
                        elif restsinrow<8:
                            $howgo+="You feel a little drowzy. \n"
                        elif restsinrow<9:
                            $howgo+="You feel loved. \n"
                        elif restsinrow<10:
                            $howgo+="You feel that everything is fine. \n"
                        else:
                            $howgo+="You feel lucky! \n"
                    else:
                        if stamina>90:
                            $howgo +="You feel great! \n"
                        elif stamina>70:
                            $howgo+="You're panting slightly. \n"
                        elif stamina>50:
                            $howgo+="You're getting exhausted! \n"
                        elif stamina>35:
                            $howgo+="You are running out of breath! \n"
                        elif stamina>20:
                            $howgo+="Your lungs are burning! \n"
                        elif stamina<0:
                            jump faint
                        else:
                            $howgo+="Your body is at it's limit! \n"


                    if location > fastlocation + 15:
                        $howgo += "Fast is far behind you!"
                    elif location > fastlocation+10:
                        $howgo +="Fast is behind you!"
                    elif location>= fastlocation+5:
                        $howgo +="Fast is right behind you!"
                    elif location == fastlocation:
                        $howgo +="Fast is running side by side with you!"
                    elif location >= fastlocation-5:
                        $howgo +="Fast is getting ahead of you!"
                    elif location >= fastlocation-10:
                        $howgo +="Fast is far ahead of you!"
                    else:
                        $howgo +="Fast is too far ahead to see."
                    $howgo+="\n"
                    if progressreports==0:
                        if location>25:
                            $howgo +="You pass the first corner!"
                            $progressreports=1
                    elif progressreports == 1:
                        if location>50:
                            $howgo +="That was the second corner! You're halfway to the finish line!"
                            $progressreports =2
                    elif progressreports == 2:
                        if location>75:
                            $howgo +="Third corner! You're almost there!"
                            $progressreports = 3


                    #$howgo+=" debug: [racenumber] [location] [fastlocation]" #doesnt work
                    #"result."
                    "[howgo]"
                    $howgo=""

                    if location > 99:
                        jump winrace

                    if fastlocation>=100:
                        if location==0:
                            jump didntrun
                        elif location > 91: #91 so you wont finish close when you cant even see her
                            jump barelylost
                        jump lostrace

                    jump runmenu1
                label didntrun:
                    if racenumber==0:
                        jump didntrun1
                    elif racenumber==1:
                        jump didntrun2
                    else:
                        jump didntrun3
                label winrace:
                    "Pushing your leggies to their limit, you make it past the finish line just a muzzle's length before Fast! You win!"
                    p "YAAY! [pn] win!"
                    scene bg race
                    show fast impressed
                    with dissolve
                    f "[pn] win! Fast nu can bewiewe! [pn] fastew dan FAST!"
                    "She hugs you excitedly. You can barely believe that you managed to pull it off yourself!"
                    jump tiredmenu
                label barelylost:
                    "You cross the finish line right behind Fast!"
                    show fast impressed with dissolve
                    f "*huff* *huff* Yay! Fast win! Dat good wace!"
                    "Fast hugs you excitedly. You hug her back, your leggies weak from exhaustion."
                    f "[pn] wun fast! Buh nu fwuffy fastew than Fast!"
                    jump tiredmenu


                label lostrace:
                    f "Fast win! Fast win again! Hooway!"
                    "You hear Fast cheering triumphantly somewhere near the finish line."
                    scene bg race with dissolve
                    "You stop running and walk the rest of the way back to the line. It takes you a good while to get there."
                    if racenumber == 0:
                        if racesrun == 3: #hints to player
                            "Fast is probably resting and recovering at the finish like even as you walk."
                        elif racesrun ==5:
                            "Walking back to the starting line is taking too long. You'll need to start thinking outside the box."
                        elif racesrun ==7:
                            "There's no way you can make it around the building faster than Fast. You just need to somehow be at this line before her."
                        elif racesrun == 9:
                            "It takes a long time to walk back to the start/finish line again."
                            "You would already be there if you hadn't run at all."
                    elif racenumber ==1:
                        if racesrun==1:
                            "She's slower than before, but not enough yet."
                        elif racesrun == 3:
                            "You'll need to tire her out some more."
                        elif racesrun == 5:
                            "Maybe you should let her tire herself out some more."
                        elif racesrun == 7:
                            "Fast is more tired than when you started racing, but still not tired enough."
                            "Letting her run a lap by herself already worked once. One more should do it."
                    $ racesrun +=1
                    if racesrun > 10:
                        $racesrun = 1


                    if racenumber < 1:
                        show fast happy with dissolve
                    else:
                        show fast yaysweat with dissolve
                    if racenumber<1:
                        f "Dat was good wace! Fast wuv wunnie wacing!"
                    elif racenumber <2:
                        f "*huff* Dat was good wace! Fast wuv wunnie wacing! *huff*"
                    else:
                        f "*huff* *huff* *huff*"
                        f "Fast win *huff* again!"
                        f "*huff* *huff*"
                    jump afterrace
                label afterrace:
                    menu:
                        "Try again":
                            p "[pn] can do bettah! Wets wun again!"
                            if racenumber <1:
                                f "Hooway!"
                            elif racenumber <2:
                                f "*huff* *huff* Yes, lets wun! *huff* *huff*"
                            else:
                                f "*huff* *huff* *huff*"
                                f "Yes! *huff* Fast think *huff* Fast can... *huff* stiww wun!"
                            jump startrace
                        "Can we have special huggies now?":
                            p "Fast wan speshul huggies nao?"
                            if racenumber < 1:
                                f "Nu. Fast had to wait fowevah fow [pn] to get back hewe!"
                                f "Nu feew wunnie feews anymowe!"
                            elif racenumber <2:
                                f "*huff* Nu... Fast nu tiwed yet! *huff* *huff*"
                            else:
                                "*huff* *huff* *huff*"
                                f "Nu *huff* yet! Fast stiww wan *huff* wun wif *huff* [pn] fiwst!"
                                f "*huff* *huff*"
                            jump afterrace
                        "Give up":
                            p "[pn] give up. Fast am too fast!"
                            f "Dat otay, Fast had funsies. [pn] wun mowe latew?"
                            "You wave goodbye to her and make your way back to the alley with the rest of the herd."
                            scene bg alley with dissolve
                            jump fluffiesmenu

                label didntrun1:
                    "As soon as you wake up from your nap, you hear rapid hoofsteps approaching you from behind the corner."
                    show fast surprisedsweat
                    $ racesrun=0 #reset racerun for the next round
                    f "*huff* *huff*... Wat am [pn] doing hewe?"
                    label raceexcuses:
                        menu:
                            "I got lost.":
                                jump lostracing
                            "I forgot what I was supposed to do.":
                                jump forgotrace
                            "I had to make poopies.":
                                jump racepoopies
                            "I'm sick of running and I'm leaving." if racenumber < 2:
                                jump dontwanttorace
                label didntrun2:
                    "Soon enough, you hear the pitter-patter of running hooves approaching you, accompanied by exhausted panting."
                    show fast exhausted with dissolve
                    f "*huff* *huff* [pn] *huff* hewe *huff* again?"
                    jump raceexcuses
                label didntrun3:
                    "Eventually, you hear her hoofsteps approaching again as she rounds the corner, panting and looking like she's ready to drop."
                    show fast exhausted with dissolve
                    f "..."
                    jump raceexcuses


                    label lostracing:

                        p "[pn] got wost!"
                        if saidlost:
                            show fast contemptsweat
                            f "[pn] got wost?"
                            f "Fast towd [pn] to wowwow awwows!"
                            p "[pn]-"
                            f "Nu! [pn] say [pn] see awwows! Fast nu wun wif [pn] nu mowe!"
                            jump fastquit
                        if racenumber<2:
                            show fast contemptsweat
                            f "Weally? [pn] nu fowwow awwows?"
                            "She points at the clearly marked arrow on the side of the building."
                            p "Ooh! [pn] nu notice awwow befowe!"
                            show fast yaysweat
                            "She looks mildly annoyed, but accepts your explanation."
                            $saidlost = True
                            $racenumber+=1
                            jump race2
                        else:
                            jump fasttired
                    label racepoopies:
                        p "[pn] make poopies!"
                        if saidpoopies:
                            show fast contemptsweat
                            f "[pn] awweady make poopies!"
                            f "[pn] nu can haf mowe poopies yet!"
                            p "[pn]-"
                            f "If [pn] nu can make poopies befowe wace, Fast nu wan wun wif [pn] nu mowe!"
                            jump fastquit
                        if racenumber<2:
                            show fast yaysweat
                            f "Oh, dat otay! Wunning nu fun if need make poopies!"
                            #show fast happy
                            $saidpoopies = True
                            $racenumber+=1
                            jump race2
                        else:
                            jump fasttired
                    label forgotrace:
                        p "[pn] fowgot!"
                        if saidforgot:
                            show fast contemptsweat
                            f "[pn] fowgot again?"
                            p "Yes."
                            f "[pn] dummeh! [pn] too dummeh to wun wif!"
                            jump fastquit
                        if racenumber < 2:
                            show fast contemptsweat
                            f "Wat [pn] fowgot?"
                            p "[pn] fowgot dat [pn] need to wun!"
                            "She stares at you in disbelief."
                            f "[pn] fowgot to wun?"
                            p "Yes."
                            f "..."
                            f "Otay, maybe [pn] nu am smawt fwuffy."
                            f "When Fast say 'GO', fwuffies wun awound housie. [pn] wemembew nao?"
                            p "Yes! [pn] wemembew nao! Thank you Fast!"
                            show fast yaysweat
                            "She lets out an exhausted sigh, but looks happier now that the misunderstanding has been taken care of."
                            $saidforgot = True
                            $racenumber+=1
                            jump race2
                        else:
                            jump fasttired
                    label dontwanttorace:
                        p "[pn] tiwed of wunning! Nu wike!"
                        show fast contemptsweat
                        f "Buh... [pn] said [pn] wanted to wace!"
                        p "[pn] nu wan wace nu mowe. Wan do somefing ewse nao."
                        hide fast with dissolve
                        "You leave Fast behind, heading back to the comfy alleyway with the other fluffies."
                        scene bg alley with dissolve
                        jump fluffiesmenu
                    label fastquit:
                        hide fast with dissolve
                        "Before you can say anything else, Fast turns around with a huff and starts ignoring you. You sigh and walk back to the alley."
                        scene bg alley with dissolve
                        jump fluffiesmenu


                    label race2:
                        if racenumber == 1:
                            "Fast is panting slightly from the run."
                            f "Fast stiww wan *huff* mowe wunsies!"
                        else:
                            "Fast is panting heavily, wiggling her sore hooves in the air."
                            f "Weggies nu feew so fast..."
                        menu:
                            "Let's try racing again.":
                                #$ racenumber += 1 #was here back when tiredness reset after she won you again
                                jump race2start
                            "That's enough racing for today. Bye bye!":
                                jump enoughracing
                    label race2start:
                        p "Fast wan twy wacing again?"
                        show fast yaysweat
                        if racenumber == 1:
                            f "Yes! Fast wan twy wun with [pn] again!"
                        else:
                            f "*huff* *huff* Yes, wets twy one mowe time!"
                        jump startrace
                    label enoughracing:
                        p "Dat was good wacing. [pn] go sweepies nao!"
                        f "Otay [pn]! Fast wun wif you mowe when you wakies!"
                        "You leave Fast behind as you walk your way back to the alley."
                        scene bg alley with dissolve
                        jump fluffiesmenu
                    label fasttired:
                        f "*huff* *huff* *huff*"
                        f "Whatevah. *huff* Fast need *huff* west nao."
                        "She flops down on her belly, panting from exhaustion."
                        $ askfortiredrace = True
                        $ nuzzlefast = 0
                        menu tiredmenu:
                            "Let's try racing again." if askfortiredrace:
                                p "Fast wan twy wacing again?"
                                f "Nu. *huff* Fast too tiwed! *huff* *huff*"
                                $ askfortiredrace = False
                                jump tiredmenu
                            "Nuzzle Fast." if nuzzlefast == 0:
                                    "You nuzzle fast."
                                    show fast nuzzle
                                    "Fast responds to your nuzzling with a happy smile."
                                    f "Fast wuv nuzzwies!"
                                    $ nuzzlefast = 1;
                                    jump tiredmenu
                            "Nuzzle Fast's rear end." if nuzzlefast == 1:
                                show fast nuzzle
                                "You nuzzle Fast along her side, moving backwards. Her tail twitches to the side as you reach her special place."
                                f "Ooh... Fast feew pwetty!"
                                $ nuzzlefast = 2
                                jump tiredmenu
                            "Give her special huggies." if nuzzlefast == 2:
                                "Your no-no stick is already poking out of your fluff as you hop up to your rear legs, holding Fast's rear for support."
                                show fast aheago
                                "With a few clumsy pokes, you finally get your peepee inside her."
                                p "Enf! Enf! Enf!"
                                f "Ah! Ah!"
                                p "Enf enf enf enf!"
                                f "Fast feew good!"
                                f "Wuv [pn]!"
                                p "Enf Enf Enf Enf!"
                                p "Enf! GOOD FEEWS!"
                                $ score +=1
                                $ scoredfast = True
                                "You let go of Fast and flop on your back, panting blissfully in a post-orgasmic haze."
                                show fast happy
                                "Fast turns around and lies down by your side, nuzzling your cheek."
                                f "Fast wuv [pn]!"
                                p "[pn] wuv Fast!"
                                "You hug each other, laying happily and just enjoying the feeling."
                                scene bg alley with Fade(1,1,1)
                                "After a nice intimate snuggle, you return to the alleyway with the other fluffies."
                                scene bg alley with dissolve
                                jump fluffiesmenu
                            "Leave her to rest.":
                                "You figure that Fast is too tired to play, and leave her to recover her strength."
                                p "Haf nice sweepies!"
                                "You turn around and head back to the alley with the other fluffies."
                                jump fluffiesmenu
                label faint:
                    p "*huff* *huff* [pn] wiww neva give up!"
                    "You push yourself forward despite the pain!"
                    "You run and run with all your might, when all of a sudden the ground disappears from beneath your hooves and everything goes dark."
                    scene bg race
                    show fast worried
                    with Fade(1,2,1)
                    f "[pn]! [pn] pwease wakies!"
                    "You wake up to Fast shaking you."
                    p "W-wat happen?"
                    f "[pn] wun too much! Den [pn] faww ovah and go sweepies!"
                    f "[pn] need be mowe cawefuw!"
                    p "Otay! [pn] nu wun too much next time!"
                    show fast happy
                    "You rest a little longer, getting up once your head stops hurting."
                    jump racemenu

        ################################### SMARTY ###################################
        label talktosmarty:
            if smartytalk:
                $ smartytalk = False
                "You walk up to smarty, just as she's finishing giving orders to two other fluffies."
                show smarty serious with dissolve
                s "...and dat why fwuffies must neva, eva hug buwning things!"
                show smarty happy
                s "Oh! Hewwo [pn]! Wat [pn] doing?"
            else:
                if scoredsmarty:
                    p "Hewwo speshul fwend!"
                else:
                    p "Hewwo Smawty!"
                show smarty happy with dissolve
                s "Hewwo [pn]!"
                "You greet each other with a warm hug."

            $ ibesmarty = True
            #$ maresmartyq = True
            menu smartymenu:
                "What should I do now?":
                    p "Wat [pn] do?"
                    s "[pn] do wat [pn] want! Hewd just back fwom nummie gathewing, so it pway time nao!"
                    $ heardofplaytime = True
                    jump smartymenu
                "How can a mare be a smarty?": # if maresmartyq:
                    p "How mawe am smawty?"
                    s "Hewd nu haf stawwions. Smawty need be Smawty ow hewd nu haf smawty!"
                    s "If nu one teww fwuffies wat do, hewd nu can do anyfing!"
                    jump smartyquestions
                "I should be the smarty of this herd!" if not scoredsmarty:
                    jump smartychallenge
                "Leave smarty alone":
                    p "Bye Smawty!"
                    show smarty happy
                    s "Bye [pn]!"
                    "You leave smarty behind and see what else there is to do."
                    scene bg alley with dissolve
                    jump fluffiesmenu


            menu smartyquestions:
                "What happened to all the stallions?":
                    p "Wy hewd nu haf stawwions?"
                    show smarty serious
                    s "Meanie bawky-munstah giv stawwions foweba sweepies."
                    s "Fwuffies find bowl of kibbwe. Fwuffies su happy!"
                    show smarty worried
                    s "Fwuffies num kibbwe! Buh den bawky-munstah come..."
                    s "Aww scawedy fwuffies wun away. Buh bwave fwuffies nu wan weave nummies behind!"
                    s "Fwuffies twy tawk to bawky munstah. Giv bawky-munstah huggies and wuv. Buh bawky-munstah onwy giv fwuffies biggest huwties!"
                    show smarty sad
                    s "Bwown fwuffy speshul fwend was hewd smawty den. Fwuffy neva wike bwave stawwions aftew dat."
                    jump smartyquestions
                "I'm a stallion, so I should be the smarty of this herd!" if not scoredsmarty:
                    p "[pn] am stawwion! [pn] be smawty nao!"
                    jump challengefromquestions
                "That makes sense.":
                    p "[pn] undastand."
                    show smarty happy
                    #s "Good!"
                    jump smartymenu
            label smartychallenge:
                p "Smawty nu be smawty! [pn] bettah, smawtew smawty!"
                label challengefromquestions:
                show smarty headtilt
                s "Weawwy? [pn]?"
                p "Yes! [pn] da smawtest!"
                show smarty cheekpuff
                "You puff your cheeks mightily, demonstrating your authority and leadership ability. The smarty puffs hers and you stare at each other menacingly."
                #show smarty serious
                s "If [pn] think [pn] su smawt, Smawty chawwenge [pn] to counties game!"
                menu:
                    "You're on!":
                        jump agreetocount
                    "I can't count.":
                        p "[pn] nu now numbews."
                        show smarty happy
                        "The smarty laughs."
                        s "Siwwy [pn]! Nu can be smawty if nu can count!"
                        p "B-buh [pn] wan be smawty!"
                        label couldntcount:
                        show smarty happy
                        s "[pn] too dummeh to be smawty. Buh dat otay. Smawty do da big thinkies fow you too!"
                        "Your ego took a massive hit and you're on the verge of tears. Thankfully Smarty gives you a comforting hug so you feel a little better again."
                        jump smartymenu
                    "Keep puffing your cheeks":
                        "Instead of answering the Smarties challenge, you puff your cheeks as hard as you can."
                        show smarty headtilt
                        s "Wat [pn] say? [pn] think [pn] bettah at counties?"
                        p "..."
                        "The smarty laughs, completely ignoring your intimidation until you need to let your breath out."
                        jump couldntcount
            label agreetocount:
                p "Yes! [pn] best at numbews!"
                show smarty happy
                label explaincounting:
                f "Otay! Fiwst Smawty say numbew."
                "Den [pn] say numbew aftew dat!"
                "Den it smawty tuwn again!"
                "[pn] undewstand?"
                menu:
                    "Understood.":
                        jump startcounting
                    "Explain rules again":
                        p "Nu. Teww wules again!"
                        jump explaincounting
                    "Chicken out.":
                        p "Too hawd! [pn] nu wike counties anymowe!"
                        jump couldntcount
                label startcounting:
                    p "[pn] undewstand!"
                    s "Good! Hewe we go:"
                    s "ONE!"
                    menu:
                        "Bigger, better one":
                            p "Supew-one! Big, BIG one!"
                            jump countingbullshit
                        "The triangle-pointies number":
                            p "Thwee!"
                            jump wrongnumber
                        "How many fluffies it takes to hug":
                            p "Two!"
                            jump countedtwo
                        "How many fluffies are in the herd" if learnedsix:
                            p "Six!"
                            jump wrongnumber
                        "How many leggies you have":
                            p "Four!"
                            jump wrongnumber
                        "All daddy's fingers":
                            p "Five!"
                            jump wrongnumber
                label countingbullshit:
                    show smarty facehoof
                    s "Dat nu am numbew."
                    p "Am too!"
                    show smarty seriousquiet
                    s "..."
                    "You start to cry. Smarty gives you a comforting hug."
                    show smarty happy
                    s "It's otay [pn]. [pn] nu smawt wike Smawty, buh [pn] stiww good fwend!"
                    jump smartymenu
                label wrongnumber:
                    show smarty yay
                    s "Ha! Dat nu wight numbew! [pn] wose countie-game!"
                    "You realize she's right. Oopsie!"
                    show smarty happy
                    s "Nice twy! Buh [pn] nu am smawtie fwuffy!"
                    jump smartymenu
                label countedtwo:
                    s "Thwee!"
                    menu:

                        "The big number with line and a circle":
                            p "Ten!"
                            jump wrongnumber
                        "All daddy's fingers":
                            p "Five!"
                            jump wrongnumber
                        "How many fluffies are in the herd" if learnedsix:
                            p "Six!"
                            jump wrongnumber
                        "A three drawn with extra thick lines":
                            p "Thwee! But thick, wike dwawn wif big, thick cwayon."
                            show smarty headtilt
                            s "..."
                            jump countingbullshit
                        "How many leggies you have":
                            p "Fouw!"
                            jump countedfour
                        "Infinity":
                            p "Fowevew numbew!"
                            jump countingbullshit
                label countedfour:
                    s "Five!"
                    menu:
                        "Infinity":
                            p "Fowewew numbew!"
                            jump countingbullshit
                        "How many stars there are in the sky":
                            p "Too many numbew! Too many fow counties!"
                            jump countingbullshit
                        "How many fluffies there are in the herd" if learnedsix:
                            p "Six!"
                            jump wincounting
                        "Big number with line and a circle":
                            p "Ten!"
                            jump wrongnumber
                        "Sketties!":
                            p "Sketties!"
                            show smarty yay
                            s "Yay sketties! Whewe?!"
                            "The smarty looks around excitedly before noticing you just standing there."
                            show smarty headtilt
                            s "Wait... dat was [pn] numbew?"
                            s "[pn] think sketti am numbew?"
                            jump countingbullshit
                        "No idea! Run away before you embarrass yourself!":
                            p "[pn] wun way!"
                            show smarty headtilt
                            "You yell, catching Smarty completely off-guard as you turn and flee. You run behind the dumpster and cover your eyes with your hooves, hiding until the whole thing blows over."
                            hide smarty with dissolve
                            "That was close, but at least you still have your dignity!"
                            scene bg alley with dissolve
                            jump fluffiesmenu
                label wincounting:
                    show smarty headtilt
                    s "Um..."
                    s "Smawty, uh..."
                    show smarty serious
                    s "Smawty nu now next numbew."
                    show smarty seriousquiet
                    p "Yay! [pn] win game!"
                    "You beam with pride! You are now the leader of the herd, unmatched in wisdom and intelligence!"
                    show smarty happy
                    fs "Otay, [pn] am Smawty nao!"
                    fs "So wat fwuffies do nao?"
                    $ forceadopts = True
                    $ conquerhouse = True
                    $ feast = True
                    menu leadering:
                        "We will make humans adopt us!" if forceadopts:
                            $ forceadopts = False
                            p "Hewd find hoomins, den teww hoomins to be nyu mummahs and daddehs!"
                            show smarty shocked
                            fs "Nuu! Fwuffies nu can teww hoomins wat to do! Hoomins get angwy and giv big huwties!"
                            show smarty serious
                            fs "Dewe many meanie hoomins! Giv fwuffies many owwies!"
                            show smarty seriousquiet
                            p "Oh."
                            p "Den smawty say..."
                            jump leadering
                        "We will take ourselves a house to live in!" if conquerhouse:
                            $ conquerhouse = False
                            p "Fwuffies find housie, den teww hoomins it fwuffy housie nao!"
                            show smarty shocked
                            fs "Nuu! If fwuffies go inside hoomin housies, hoomins get weawwy angwy!"
                            fs "Giv fwuffies biggest huwties! Even foweva-sweepies!"
                            show smarty seriousquiet
                            p "Oh."
                            p "Den smawty say..."
                            jump leadering
                        "We celebrate with a feast!" if feast:
                            $ feast = False
                            p "Fwuffies haf wotsa nummies! Dewe so many nummies, fwuffies can num aww fwuffies wan!"
                            show smarty shocked
                            fs "Nuu! Nu num nummie piwe! If num nao, haf biggest tummie huwties when cowd time come!"
                            show smarty seriousquiet
                            p "Oh."
                            p "Den smawty say..."
                            jump leadering
                        "We have special huggies!":
                            p "Smawty wan speshul huggies!"
                            show smarty yay
                            fs "Yay! Dat good idea!"
                            fs "Fwuffy make babbehs fow hewd!"
                            show smarty happy
                            "She nuzzles you affectionately. You nuzzle her back, feeling proud of your first smart leadership decision."
                            p "Smawty giv fwuffy bestest speshul huggies evah!"
                            "She turns around, lifting her tail and presenting her special place for you. You nuzzle her rear affectionately before hopping onto her back and poking her with your no-no stick."
                            show smarty aheago
                            "It brushes against her fluff as you push your hips against her, but after a few tries it goes inside her and you start thrusting your hips."
                            p "Enf Enf Enf!"
                            fs "Fwuffy feew good!"
                            p "Enf Enf Enf Enf!"
                            p "Enf Enf Enf Enf Enf Enf Enf!"
                            p "GOOD FEEWS!"
                            "With the bestest good feel, you peepee squirts its load inside her. You let go of her rear and roll over to your side thoroughly satisfied."
                            show smarty happy
                            "She turns around and lies next to you, hugging you as she nuzzles against your fluff."
                            fs "Fwuffy wuv Smawty!"
                            "You sigh with contentment. This is the peak of your life."
                            fs "So, wat Smawty do nao? Dewe wots of wowk Smawty haf to do..."
                            scene bg alley with Fade(2,2,2)
                            "After the special huggies, you learned a lot about being a smarty."
                            "Most importantly, you learned that you didn't want to be smarty anymore."
                            "You want every fluffy to be happy, but sometimes a smarty needs to yell at fluffies to make them do what needs to be done."
                            "Or even bop them on the nose if they do the wrong things!"
                            "You agreed that the old Smarty gets to be the smarty again. You like being [pn] a lot more."
                            "But at least you got to have special huggies, and that made it all worth it!"
                            $ score +=1
                            $ scoredsmarty = True
                            scene bg alley with dissolve
                            jump fluffiesmenu
    label talktofluffyafteradventuring:
        "You find Fluffy sleeping in the nest box. As you get closer, she wakes up with a yawn and stretches her legs."
        b "Oh, Hewwo [pn]!"
        if scoredfluffy:
            p "Hewwo speshul fwend!"
        else:
            p "Hewwo Fwuffy!"
        show fluffy happy with dissolve
        "You climb onto the bed and hug her warmly."
        menu fluffyhomemenu:
            "Would you like to go searching for food again?":
                p "Fwuffy wan go find mowe nummies?"
                show fluffy happy
                b "Nu fanks. Fwuffy too tiwed nao."
                show fluffy yay
                b "Buh fwuffy happeh dat [pn] ask!"
                show fluffy happy
                jump fluffyhomemenu
            "What were you dreaming about?":
                p "Fwuffy see sweepy pictuwes?"
                show fluffy happy
                b "Yes! Fwuffy was mummah and had wotsa babbehs!"
                show fluffy yay
                b "Fwuffy often see babbehs when sweepies! Babbehs awways make Fwuffy happeh!"
                show fluffy happy
                jump fluffyhomemenu
            "Ask for special hugs" if not askedfluffyspecialhugs:
                jump fluffyspecialhugs
            "I can try to clean up the glass" if learnedofglass and not cleaningfail:
                jump cleanglassoffer
            "Bye bye!":
                p "Bye bye Fwuffy! Haf good sweepies!"
                show fluffy happy
                b "Bye bye [pn]!"
                "You leave Fluffy to sleep and think about what to do next."
                scene bg alley with dissolve
                jump fluffiesmenu

    label talktofluffy:
        scene bg streetentry with dissolve
        $ fluffytalk = False
        "You look for Fluffy, catching her just as she's about to head out from the alley."
        show fluffy happy with dissolve
        b "Hewwo [pn]! Wan come find nummies wif Fwuffy?"
        menu fluffyheadingout:
            "Smarty said you already searched for food today." if heardofplaytime:
                p "Smawty say fwuffies awweady find nummies!"
                show fluffy happy
                b "Fwuffy know."
                show fluffy yay
                b "Smawty good smawty, buh mowe nummies awways safew to haf!"
                show fluffy happy
                jump fluffyheadingout
            "Why were you heading out alone?":
                p "Wy fwuffy go awone?"
                b "Fwuffies awweady find nummies today. Oddah fwuffies think dat enuf, buh Fwuffy wan be suwe."
                show fluffy worried
                b "If wawa faww fwom sky fwuffies need stay home dat day. Awso if fwuffies get huwties ow sickies!"
                show fluffy yay
                b "Fwuffy wan make suwe fwuffies awways haf enuf nummies!"
                jump fluffyheadingout
            "Why not ask Fast to go with you?":
                p "Why nu go wif Fast? Fast find nummies fast!"
                show fluffy worried
                b "Fast nu good at find nummies. Fast TOO fast!"
                b "Fast wan go fast aww da time! Nu stop fow seawchies! Nu be cawefuw wif cawwy nummies!"
                show fluffy happy
                b "Fast nu stop even fow huggies unwess Fast tiwed!"
                jump fluffyheadingout
            "Sure, I'll go with you.":
                p "[pn] go wif Fwuffy!"
                show fluffy yay
                b "Yay! Fwuffy show [pn] bestest pwaces fow find nummies!"
                jump headingout
            "I'm staying here.":
                p "[pn] stay hewe. Good wuck!"
                b "Otay! [pn] haf funsies!"
                "You and Fluffy wave goodbye to each other. She heads out through the hole and you head back to the other fluffies."
                scene bg alley with dissolve
                jump fluffiesmenu
    label headingout:
        scene bg nummieshub with dissolve
        $ adventuredwithfluffy = True
        "You take a long walk away from the safe place. That gives you lot of time to talk with Fluffy along the way."
        menu roadtalk:
            "Why do we have to walk so far to get food?":
                p "Why nummies su faw?"
                show fluffy happy
                b "Dewe mowe nummies whewe hoomins am. Hoomins put nummies in twashies fow fwuffies to num."
                b "Buh awways be cawefuw! Meanies get angwy if see fwuffies num twashies!"
                jump roadtalk
            "Let's have special huggies!":
                p "Fwuffy wan speshul huggies?"
                show fluffy surprised
                b "Wut? Nu! Dis nu pwace fow speshul huggies!"
                show fluffy happy
                b "Fwuffies can haf speshul huggies when back in safe pwace!"
                jump roadtalk
            "Hey, I see food over there!":
                jump findnummies
            "I'm heading back home. Bye!":
                p "[pn] go back to safe pwace nao! Bye bye!"
                show fluffy surprised
                b "Wait, [pn] know way to safe pwace?"
                p "Nu."
                show fluffy worried
                b "If [pn] get wost, fwuffies haf biggest saddies!"
                show fluffy happy
                b "Fwuffy make suwe [pn] stay safe! Fwuffies find nummies, den go back to safe pwace, otay?"
                p "Otay."
                jump roadtalk
        label findnummies:
            p "Fwuffy! Fwuffy! [pn] see nummies!"
            show fluffy yay
            b "Yay! Whewe?"
        label nummielocations:
            if searchedwithfluffy > 2:
                show fluffy happy with dissolve
                b "Dat enouf seawchies fow nao. Time to go home nao!"
                jump headhome
            if nummiesnumber == 1:
                "Fluffy shows you how to hide the nummies you gathered so you can keep looking for more."
                $nummiesnumber = 2
            elif nummiesnumber == 3:
                "With another successful haul, you hide the nummies in preparation to search for even more."
                $nummiesnumber ==4


            menu:
                "There's a fallen candybar on the other side of the street!" if searchcandybar:
                    p "Dewe! Chockwit nummie behind woad!"
                    $ searchedwithfluffy += 1
                    $ searchcandybar = False
                    scene bg candybar with dissolve
                    "You point your hoof at the candy bar on the other side of the street."
                    show fluffy yay with dissolve
                    b "YAY! Dat am bestest nummies!"
                    show fluffy worried
                    b "buh dewe too many metaw munstahs on da woad. How fwuffies get to chockwit nummies?"
                    menu candybar:
                        "By running fast":
                            p "[pn] wun fast! Get nummie, den wun back!"
                            show fluffy worried
                            b "*GASP!* Dat's scawy!"
                            p "Fwuffy stay hewe, [pn] wun!"
                            $ fluffyopinion -=1
                            b "Dis nu am good idea!"
                            p "Nu wowwy! [pn] am fast!"
                            "You gulp, taking a running start as you dash to the street."
                            jump carhit
                        "By watching both sides before crossing the street.":
                            p "[pn] watch both ways befowe cwossing woad. Onwy go when no munstas coming!"
                            show fluffy happy
                            b "Good idea! Pwease be cawefuw!"
                            hide fluffy with dissolve
                            "You stand by the road, looking at the cars whizzing past. It's scary how fast they move, but as long as you stay on the elevated part on the side of the road you should be safe."
                            "It takes forever to find a hole in the traffic, but when you do, you take off across the street as fast as your legs can carry."
                            p "[pn] wunnies! Pwease weggies go fastew!"
                            "It's close, but you make it across just before a speeding car can stomp you with its round leggies!"
                            "That was scary, but the prize of your bravery is right in front of your eyes. The candy bar!"
                            p "[pn] did it! [pn] got nummie!"
                            show fluffy happy
                            b "Hooway! [pn] bestest nummie findew!"
                            show fluffy worried
                            b "Be cawefuw! Dewe stiww many mustas on woad!"
                            hide fluffy with dissolve
                            "You wait for another break in the traffic, having plentiful time to catch your breath as you do. Finally there comes a time when all cars are far enough from you."
                            p "[pn] go fast! Wun weggies, wun fastew!"
                            "You bravely dive onto the sidewalk, the candy bar coming to rest next to you. Tears of happiness flow along Fluffies face as she closes you in a tight hug."
                            show fluffy happy with dissolve
                            b "Fwuffa was so scawed! Fwuffy so happy [pn] safe again! And find bestest nummie too!"
                            $ fluffyopinion +=1 #nope, she didn't like that
                            "You hug Fluffy, your heart still racing from the excitement."
                            "You feel like a hero. It is a good feel."
                            $ nummiesnumber += 1
                            scene bg nummieshub with dissolve
                            jump nummielocations
                        "By using the traffic lights.":
                            p "Fwuffies wook at twaffic wights!"
                            show fluffy surprised
                            b "Huh?"
                            p "Twaffic wights! Pwetty gween wight hoomin mean it safe to cwoss woad!"
                            show fluffy yay
                            b "Weawwy? Wow! [pn] su smawtie!"
                            "Fluffy gives you an enthusiastic hug, and your heart swells with pride!"
                            "You walk to the corner of the street where the lights are, but then you notice there are no human-shaped lights, only round ones."
                            "This is going to take biggest thinkies to get through!"
                            hide fluffy with dissolve
                            menu trafficlights:
                                "Go when the light is is green.":
                                    "You wait for the light to turn green, and make a run for it."
                                    jump carhit
                                "Go when the light is red.":
                                    "You wait for the light to turn red, and make a run for it."
                                    "There are cars all around you, but like by magic, the round red light makes them all stop!"
                                    "You keep running until you successfully make it to the other side, your heart rejoicing as you pick up the candy bar and show it to Fluffy."
                                    p "Wook! Wook! [pn] got da candy baw!"
                                    show fluffy yay with dissolve
                                    b "Hooway! [pn] bestest nummie findew!"
                                    hide fluffy happy with dissolve
                                    "You follow the traffic lights to get back, crossing the street when all the cars are frozen in place by the red light. Tears of happiness flow along Fluffies face as she closes you in a tight hug."
                                    show fluffy yay with dissolve
                                    b "[pn] find da bestest nummies! Fwuffy haf biggest happies evah!"
                                    $ fluffyopinion +=2
                                    "You feel like a hero. It is a very good feel."
                                    $ nummiesnumber +=1
                                    scene bg nummieshub with dissolve
                                    jump nummielocations

                "There's a piece of bread being pecked by a flock of seagulls!" if searchseagulls:
                    $ searchedwithfluffy += 1
                    $ searchseagulls = False
                    p "Dewe! Bwead-nummie by da white biwdies!"
                    scene bg seagulls with dissolve
                    show fluffy worried with dissolve
                    b "Oh noes... Dat many big biwdies. Fwuffy nu think fwuffies can haf biwdie nummie."
                    $ suggestdistraction = 0
                    menu birdplan:
                        "I can drive them off.":
                            p "[pn] stwong! [pn] scawe biwdies away!"
                            show fluffy worried
                            b "Oh noes, pwease be cawefuw!"
                            hide fluffy with dissolve
                            "You ruffle your fluff and walk towards the flock of birds with your chest puffed."
                            p "Gu way biwdie munstahs! Dose am fwuffy nummies!"
                            "None of the birds seem to have noticed you. You walk closer and puff your cheeks to look bigger."
                            p "Fwuffy need dat nummie! Giv nummie to fwuffy!"
                            "Some of the birds notice you, but quickly return to pecking at the piece of bread. If you don't do something they will eat it before there's anything left!"
                            "You lower your head and make a dash straight for the bread."
                            p "Meanie biwdies! Fwuffy said- SCREEE!"
                            "The birds poke you with their sharp noses! It hurts!"
                            show fluffy horrified with dissolve
                            b "[pn]! NUU!"
                            #hide fluffy with dissolve #yeah, let her watch ;)
                            "You roll over, crawling away as the birds keep poking you painfully in the back and poopy-place!"
                            p "SCREE! Biggest huwties! Pwease stahp!"
                            "Despite the terrible pain, you manage to crawl far enough that the birds forget about you and return to pecking their piece of bread."
                            "You cry. There's booboo-juice leaking from your back where the birds poked you, leaving hurt and scared!"
                            "Huuhuu! Biggest huwties!"
                            #show fluffy horrified with dissolve
                            "[pn]! Fwuffy giv [pn] huggies! Huggies make ewewyfing bettah!"
                            show fluffy worried
                            "You sob as Fluffy hugs you tenderly, crying into her fluff and still shaking from fear."
                            b "Is otay nao [pn]. Fwuffy hewe fow you."
                            p "Fank you Fwuffy! [pn] need biggest huggies!"
                            jump returnhurt
                        "I'll create a distraction while you get the bread.":
                            p "[pn] distwact biwdies! Den whiwe biwdies wook at [pn], Fwuffy wun and get nummie!"
                            show fluffy surprised
                            b "Wut? Nu! Fwuffy nu wun at biwdie munstahs! Dat scawy!"
                            jump birdplan
                        "You distract the birds while I get the bread.":
                            p "Fwuffy distwact biwdies! Den whiwe biwdies wook at Fwuffy, [pn] wun and get nummie!"
                            show fluffy worried
                            b "Sound scawy!"
                            p "Nu wowwy, Fwuffy stay safe and distwact biwdies, [pn] get nummie!"
                            b "Otay..."
                            hide fluffy with dissolve
                            "You sneak closer to the birds, crawling on your belly to make yourself harder to see. Meanwhile, Fluffy goes around to the other side of the flock, staying further away from them."
                            show fluffy happy
                            b "Wook hewe biwdies! Fwuffy am dancie fwuffy!"
                            b "Siwwy fwuffy dancie! Dancie dancie dancie!"
                            "Fluffy looks so funny you have a hard time focusing on your mission. However, the birds don't seem to be paying her any attention."
                            b "Dancie fwuffy dance!"
                            show fluffy worried
                            b "Dancie... Dancie..."
                            b "Biwdies nu wike Fwuffy dancies..."
                            "You give up the plan and waddle over to give Fluffy a hug."
                            p "Fwuffy make pwettiest dancies! [pn] wuv!"
                            show fluffy happy
                            b "Fank you [pn]! Fwuffy feew bettah nao!"
                            jump birdplan
                        "You're right. Let's think of something else.":
                            p "Fwuffy wight. Biwdies too scawy!"
                            show fluffy yay
                            p "Dat wite. Safeties mowe impowtant than nummies!"
                            scene bg nummieshub with dissolve
                            jump nummielocations
                "There's a trash can about to tip over!" if searchtrash:
                    $ searchedwithfluffy += 1
                    $ searchtrash = False
                    scene bg trashcan with dissolve
                    p "Wook! Twashies!"

                    show fluffy happy with dissolve
                    b "Yay! Twashie nummies!"
                    show fluffy worried
                    b "Buh how fwuffies get to twashies?"
                    menu trashcan:
                        "I'll tip the can over":
                            p "[pn] giv can biggest pushies!"
                            show fluffy happy
                            "You push the can with all your might. The uneven ground makes it rock precariously until it falls over, spilling its contents on the street."
                            $ fluffyopinion -=1 #she doesn't like machos
                            jump trashover
                        "You can push the can over":
                            p "Fwuffy giv can biggest pushies!"
                            show fluffy happy
                            b "Otay!"
                            jump pushsuggested
                        "We can push the can over":
                            p "Fwuffies giv can biggest pushies!"
                            show fluffy happy
                            b "Otay!"
                            "You push the can as one, easily tipping it over and spilling out its contents."
                            $ fluffyopinion +=1
                            jump trashover
                        "I give up.":
                            p "[pn] haf nu idea."
                            b "Howd on, Fwuffy haf idea!"
                            label pushsuggested:
                                "Fluffy puts her forehooves against the trash can and starts pushing. The uneven ground makes it rock precariously until it falls over, spilling its contents on the street."
                                jump trashover
                    label trashover:
                        show fluffy happy
                        b "Yay! Fwuffies get to nummies nao!"
                        p "Nu smeww pwetty!"
                        b "Fwuffy know. Twashie nummies icky, buh sometimes dewe good nummies too!"
                        hide fluffy with dissolve
                        "You rummage through the trash, finding out there are more edible bits between all the human junk than you'd have expected."
                        "Suddenly, you notice something moving in the window of a nearby house."
                        menu noticed1:
                            "Ignore it.":
                                "You shrug it off and keep rummaging. The little pile of loot you are gathering is growing steadily."
                                show fluffy horrified with dissolve
                                "Everything's going smoothly, until you hear a click from the door behind you. Fluffy leaps up with a look of utter terror as she sees the door opening to reveal a mighty human inside."
                                b "Oh noes! WUN!"
                                hide fluffy with dissolve
                                "Fluffy takes off running, fleeing for her life as the angry human starts yelling at you!"
                                angryhuman "GET THE FUCK AWAY FROM MY GARBAGE!"
                                "You take off after Fluffy with barely a second to spare as the mighty foot of the human slams down to the ground inches behind you."
                                p "[pn] sowwy fow num twashies! Pwease nu huwties!"
                                "You run for your life, quickly gaining distance between you and the yelling human."
                                "Suddenly, a flying metal can hits you in the poopy-place with terrifying force!"
                                p "SCREE!"
                                angryhuman "Take that you technicolor shitfuck!"
                                "You try to get back up, but your rear legs aren't working!"
                                p "Pwease weggies! Take [pn] away fwom meanie!"
                                angryhuman "Hope I fucking broke your spine, fucker! Eat shit and starve in a ditch!"
                                "You cry as you drag yourself forward with your forehooves. The meanie spits on the ground and turns around, closing the door behind him with a terrifying bang."
                                show fluffy horrified with dissolve
                                b "[pn]! Oh noes, [pn]!"
                                p "Huuhuuhuu! Biggest huwties!"
                                b "Nu wowwy! Fwuffy giv huggies! Huggies make evewyfing bettah!"
                                show fluffy worried
                                "Fluffy hugs you and you hug her, holding onto her as you cry inconsolably for what seems like forever."
                                b "How [pn] weggies feew?"
                                "You try moving your rear legs again."
                                "Your rear end hurts a little less by now, and to your relief it seems you can move your hoofsies again!"
                                p "Weggies move! Fwuffy huggies make weggies wowk again!"
                                show fluffy happy
                                b "Yay! Fwuffy su happy to heaw dat!"
                                b "Can [pn] wawkies again? Betta get to safe pwace befowe meanie hoomin come back!"
                                jump returnhurt
                            "Tell Fluffy about it.":
                                p "Somefing move in housie!"
                                show fluffy surprised with dissolve
                                "Fluffy quickly looks up at the windows, but the movement is gone."
                                show fluffy worried with dissolve
                                b "Dat may am meanies. Get nummies quick, den wun and hidies!"
                                "You stack the food on your back as quickly as you can while Fluffy does the same."
                                "With the loot on your backs, you waddle away as fast as you can."
                                b "In dewe! Hidey howe undew staiws!"
                                "You and Fluffy slip into a small space under the stairs of a house on the other side of the street. You get in just in time as the door next to the trash can opens and an angry human peeks out."
                                angryhuman "Goddamn shitrats ought to be shot and raped in the ass with a rusty spork..."
                                "The angry man walks out and picks up the trash can, jamming it upright in the ground hard enough to make sure it's stable."
                                "He never stops saying terrible things about fluffies before he gets back inside and closes the door behind him with a terrifying bang."
                                "You wait with baited breath as you watch the whole thing from your hiding place. You've never seen anyone hate fluffies so much!"
                                "Fluffy waits a good while after the human is ought of sight before finally letting out a relieved sigh."
                                show fluffy happy
                                b "Fwuffies safe nao. Buh nu go neaw twashies again, meanie can am watching!"
                                $ gotnummies = True
                                jump hidingsuccess
                            "RUN!":
                                p "WUN AWAY!"
                                show fluffy surprised
                                b "Fwuffy wun! Fwuffy wun away!"
                                hide fluffy with dissolve
                                "You abandon the trash and run for your lives!"
                                "You run until you can't run anymore and come to a stop, panting and collapsing from exhaustion."
                                show fluffy worried with dissolve
                                b "*huff* *huff* *huff* What fwuffies wun fwom?"
                                p "[pn] see somefing move in housie!"
                                show fluffy surprised with dissolve
                                b "Oh..."
                                show fluffy happy with dissolve
                                b "[pn] thinkies fast! Maybe save fwuffies wives!"
                                p "Fank you!"
                                "Fluffy hugs you gratefully. You didn't get any nummies with you, but nothing is more important than the safety of your friends!"
                                $ fluffyopinion +=2
                                scene bg nummieshub with dissolve
                                jump nummielocations
                "Let's head back home now." if searchedwithfluffy > 0:
                    p "[pn] seawchies enuf nao?"
                    if nummiesnumber >2:
                        show fluffy happy
                        b "Yes! Fwuffies haf su many nummies nao! Biggest nummies!"
                        "Fluffy gives you a big hug, then you get your big pile of nummies from their hiding place and head back to the safe place."
                        jump headhome
                    elif nummiesnumber > 0:
                        show fluffy happy
                        b "Yes. [pn] find good nummies!"
                        "You hug each other before packing the day's loot on your backs and walking back to your safe place."
                        jump headhome
                    else:
                        show fluffy worried
                        b "Buh fwuffies nu find nummies yet! [pn] weawwy wan go home awweady?"
                        menu:
                            "Allright, let's search some more.":
                                p "Otay, [pn] keep wook fow nummies."
                                show fluffy happy
                                b "Fank you! Nu need wook foweba, fwuffy pwomise!"
                                jump nummielocations
                            "No, let's head home.":
                                p "Yes. [pn] wan back to safe pwace!"
                                b "Otay den."
                                b "Buh thankies fow coming wif fwuffy anyway!"
                                $ fluffyopinion -1
                                jump headhome
                    label hidingsuccess:
                        menu:
                            "I'm glad we got some of the trash.":
                                p "[pn] happy fwuffies got nummies!"
                                b "Fwuffy happy too. Dat was scawy!"
                                scene bg nummieshub with dissolve
                                jump nummielocations
                            "I could have taken him on.":
                                p "[pn] shouwd haf giv meanie biggest owwies!"
                                show fluffy worried
                                b "Nu, [pn], nu. Hoomins giv huwties even to biggest, stwongest fwuffies! Hoomins just too big!"
                                "You grumble with disagreement, but the opportunity to punish the meanie for his meanness is already gone."
                                $ fluffyopinion-=1 #still gives you a benefit of a doubt if you were careful everywhere else
                                scene bg nummieshub with dissolve
                                jump nummielocations
                            "I need huggies!":
                                p "Dat was scawy! [pn] need huggies!"
                                b "Fwuffy need huggies too!"
                                "You hug each other to calm yourself down, letting go only when your pulse has returned to normal. You feel much better now."
                                $ fluffyopinion +=1
                                scene bg nummieshub with dissolve
                                jump nummielocations
        label carhit:
            hide fluffy with dissolve
            p "[pn] wun! Pwease weggies go fast!"
            "There are too many cars! And they are all too fast!"
            "A big metal monster roars directly over you, the gush of wind below it sending you tumbling over!"
            #show fluffy worried with dissolve
            "[pn]! NUU!"
            hide fluffy with dissolve
            "Your head is spinning but you quickly get back to your feet. There's no time to stop now!"
            "You take off running again, another monster whizzing just an hairs width from your nose!"
            p "Nuu! Too scawy!"
            "You don't even know which way you were going anymore! As you notice Fluffy on the sidewalk, crying her eyes out and begging you to come back, you forget about the candy bar and make a run right for her."
            p "HUUHUU! Nu huwt [pn]!"
            "You almost make it back, when a big, heavy monster bumps you on the nosie!"
            p "SCREEEE!"
            "You spin over with booboo-juice flying all over, eyes blurry from tears and pain."
            show fluffy horrified
            b "[pn]! Dis way! Pwease huwwy!"
            "You follow Fluffy's voice as you frantically clamber onto the sidewalk, immediately curling into a ball to hug your broken nosie."
            p "HUUHUUHUU! Nosie huwties! Pwease nosie nu be bwoken!"
            "Fluffy hugs you, her warm fluff offering some comfort over the pain."
            b "Fwuffy giv huggies! Pwease be otay [pn]! Huggies make evewyfing bettah!"
            "You cry forever as Fluffy hugs you, soothing you until you recover from the immediate shock."
            show fluffy worried
            b "[pn] feew bettew yet?"
            "You feel your nosie. It still hurts, but there's no more booboo-juice coming out and it hurts slightly less when you aren't touching it."
            p "Yes."
            b "[pn] can wawkies?"
            p "[pn] think so."
            b "Dat good. Fwuffy take [pn] to safe pwace, [pn] can west dewe."
            jump returnhurt
        label returnhurt:
            $fluffyopinion-=10 #for epic fail
            scene bg alley with Fade(2,2,2)
            "Fluffy helps you limp back to the safe place. You cry all the way, but were lucky not to suffer any permanent injuries."
            show fluffy worried with dissolve
            b "[pn] need be mowe cawefuw."
            b "[pn] wucky [pn] nu haf foweva sweepies! Pwease stay safe nao!"
            p "Yes, [pn] neva be dummeh again."
            show fluffy happy
            b "Good! Fwuffy go sweepies nao, take cawe!"
            hide fluffy with dissolve
            "You give Fluffy a good night hug and she goes to sleep in the nest box. Despite the aching, you feel good enough to find something to do."
            jump fluffiesmenu
        label headhome:
            scene bg streetentry with Fade (1,1,1)
            if nummiesnumber>0:
                "You make it safely back to the alley, and add your new nummies to the herds food pile."
                if nummiesnumber > 1:
                    show fluffy yay with dissolve
                    b "Dat so many nummies! Hewd haf so many happy times nao! Fank you [pn]!"
                    "Fluffy hugs you, full of love and admiration. You did good work today!"
                    $ fluffyopinion +=1 #bonus point for getting both nummies
                else:
                    show fluffy yay with dissolve
                    b "Fwuffies find good nummies! Fank you [pn]!"
                    "Fluffy gives you a big hug. You hug her back, feeling good about having helped."
            else:
                "You make it safely back to the alley."
                show fluffy worried with dissolve
                b "Fwuffies nu find nummies."
                show fluffy happy
                b "Buh fwuffies stiww am safe!"
                b "Nu wowwy [pn]. [pn] wiww get bettah at find nummies!"
                "She gives you a hug, and you feel a little better about coming back empty-hooved."
            menu backhome:
                "I'm glad to be back.":
                    show fluffy happy
                    p "[pn] wuv safe pwace!"
                    b "fwuffy wuv safe pwace too!"
                    jump backhome
                "How do you think our food will last?":
                    p "How time fwuffies haf nummies nao?"
                    if nummiesnumber > 3:
                        show fluffy yay
                        b "Many bwight times! Fwuffies can haf tummeh happehs fowevah!"
                    elif nummiesnumber > 0:
                        show fluffy yay
                        b "Fwuffies haf big nummie piwe! Nu get tummeh huwties in many bwight times!"
                    else:
                        show fluffy happy
                        b "Nu be scawed [pn]. Fwuffies stiww haf nummie piwe."
                        b "Nu get tummeh huwties fow nu find nummies this time!"
                    jump backhome
                "Do you always search for food?":
                    p "Fwuffy awways wook fow nummies?"
                    show fluffy happy
                    b "Nu. Fwuffy hug and pway wots!"
                    show fluffy yay
                    b "Finding nummies most funsies wif fwends!"
                    jump backhome
                "How about special huggies?" if not askedfluffyspecialhugs:
                    p "Fwuffy wan speshul huggies?"
                    jump fluffyspecialhugs
                "I'm glad that's over. Bye bye!":
                    p "[pn] go bye bye nao!"
                    b "Bye bye [pn]!"
                    "You hug one more time and waddle your separate ways. You sigh, happily back in the safety of the alley as you decide what to do next."
                    scene bg alley with dissolve
                    jump fluffiesmenu

        label fluffyspecialhugs:
            $ askedfluffyspecialhugs = True
            if fluffyopinion > 2:
                show fluffy yay
                b "Yay! Fwuffy wuv [pn] speshul huggies!"
                show fluffy happy
                "She gives you a quick nuzzle and turns around, turning her tail to the side and presenting her special place to you."
                "You nuzzle her rear end affectionately. She smells pretty!"
                show fluffy aheago
                b "Coo..."
                "You hop your front half on top of her, using your hooves to steady yourself while your peepee gets bigger. You thrust your hips, poking her fluff a few times before it goes inside."
                p "Enf enf enf..."
                p "Enf Enf Enf Enf!"
                b "Fwuffy wuv [pn]!"
                p "Enf Enf Enf Enf Enf!"
                p "GOOD FEEW!"
                $ score +=1
                $ scoredfluffy = True
                "Your peepee squirts sticky goo and you hold it in as the bestest feel washes over you."
                "After a few seconds you flop on your back, your mind warm and fuzzy from the afterglow."
                show fluffy happy
                b "[pn] giv bestest speshul huggies! Fwuffy wuv!"
                "She turns around and lays down by your side. You hug and nuzzle affectionately, enjoying warmth and softness of each others embrace."
                scene bg alley with Fade (2,2,2)
                "After cuddling forever, you get up and share one more lovely hug. Fluffy goes about her business, while you think about what you're going to do next."
                #show bg alley with dissolve
                jump fluffiesmenu
            else:
                show fluffy surprised
                b "Oh..."
                show fluffy worried
                b "Fwuffy sowwy. [pn] nu good speshuw fwend fow Fwuffy."
                "Hearing this gives you biggest heart hurties."
                p "[pn] nu good fwuffy?"
                b "[pn] good fwuffy! Buh nu can am Fwuffy speshul fwend."
                b "Dewe many dangews fow fwuffies. Fwuffies need be cawefuw ow get biggest huwties and saddies."
                b "Fwuffy nu can haf speshul fwend dat nu cawefuw."
                "You cry. Fluffy offers you a consoling hug."
                show fluffy happy
                b "Nu be saddies [pn]! Fwuffy suwe [pn] wiww find speshul fwend!"
                p "Otay..."
                "You wipe your tears with your forelegs as Fluffy hugs you again."
                jump glassdrama
        label glassdrama:
            $ huggingfast = False
            hide fluffy
            f "OWWIES!" with hpunch
            show fluffy horrified with dissolve
            b "Fast!"
            show fluffy at left with move
            show fast sadquiet at right with dissolve
            "Fast is crying. Booboo-juice is leaking from a small cut on her leg."
            b "Fwuffy giv huggies! Huggies make evewyfing bettah!"
            show fluffy worried
            menu:
                "Offer hugs.":
                    p "[pn] giv mowe huggies!"
                    "You hug Fast with Fluffy for double help. She's still sobbing and holding her hurting leg away from you."
                    show fast sad
                    f "Fast step on gwass pointies..."
                    show fast sadquiet
                    $ huggingfast = True
                    jump glassexplanation
                "Ask what happened":
                    p "Wat happen?"
                    jump glassexplanation
        label glassexplanation:
            b "Dewe am meanie gwass thingies in safe pwace."
            b "Fwuffies twy avoid pointy gwassies, buh gwassies awways giv fwuffies biggest huwties!"
            show fast sad
            f "Fast pway wif baww when baww went to pointies pwace..."
            show fast sadquiet
            if huggingfast:
                "You hug Fast until she feels better, then waddles off to rest in the nest box."
            else:
                "Fluffy hugs Fast until she feels better, then waddles off to rest in the nest box."
            hide fast with dissolve
            show fluffy at center with move
            b "Pointy gwass am wowstest thing evah. Onwy dangew in fwuffies safe pwace."
            b "Fwuffies twy make pointies go away, buh gwassies giv wowstest owwies fow fwuffies who touch them!"
            b "Pwease be cawefuw [pn], Fwuffy nu wan [pn] get pointy huwties too!"
            $ learnedofglass = True
            jump fluffyhomemenu
    label cleanglassoffer:
        p "[pn] wiww make pointies go away!"
        show fluffy happy
        b "Weawwy?!"
        b "If [pn] make pointies go way, den fwuffies safe foweva!"
        show fluffy worried
        b "Buh pwease be cawefuw! Fwuffies haf gotten many huwties twying to move pointies befowe!"
        if askedfluffyspecialhugs and not scoredfluffy:
            "You realize that this is your last chance to win Fluffy's adoration. You need to be super careful with what you're about to do!"
        jump cleaningglass

        label cleaningglass:
            scene bg bottle with dissolve
            "You study the glass shards carefully. What are you going to do about them?"
            menu glassmenu:
                "Ask the glass shards to stop hurting fluffies":
                    p "Pwease huwty pointies, nu huwt fwuffies nu mowe!"
                    "You look at the shards with pleading eyes, waiting for a response."
                    "The shards just sit there, looking sharp and pointy. What a bunch of meanies!"
                    jump glassmenu
                "Try to move them with your mouth":
                    "You approach carefully, biting down onto one of the bigger parts of glass."
                    "You barely manage to lift it off the ground before it slips, cutting deep into the side of your mouth! You taste booboo-juice and hurt terribly!"
                    scene bg bottlefail
                    "SCREEE!"
                    jump failandhurt
                "Try to cover the shards with something":
                    "You look around and spot an old newspaper. It looks thick enough to hide the glass shards under."
                    scene bg bottlewin with dissolve
                    "With great effort, you manage to drag the paper over the shards, careful not to step on any of them in the process."
                    "Finally, you have a slightly bumpy paper where the dangerous glass used to be."
                    "With a deep breath, you try walking over the paper, and..."
                    "...make it over without a hitch! Hooray!"
                    p "Fwuffy! Fwuffy! [pn] make huwty pointies go way!"
                    show fluffy happy with dissolve
                    b "*GASP!* Nu mowe meanie pointies! [pn] save fwuffies!"
                    b "[pn] keep hewd safe! Fwuffy wuv [pn] so much!"
                    if askedfluffyspecialhugs and not scoredfluffy:
                        "Fluffy hugs you with tears of happiness in her eyes. It looks like you have redeemed yourself in her eyes!"
                        $ fluffyopinion = 10 #guaranteed success
                        $ askedfluffyspecialhugs = False
                        $ learnedofglass = False
                    else:
                        "Fluffy hugs you with tears of happiness in her eyes. Your heart swells with pride and happiness."
                    scene bg alley with dissolve
                    jump fluffyhomemenu
                "Try to break them with your hooves":
                    "You rear up, lifting your forehooves in the air and stomping the glass shards with all your might!"
                    "Searing pain strikes through your leg as the glass shard sinks deep into the soft underside of your hoof."
                    scene bg bottlefail
                    p "SCREEE!"
                    "You shake your leg to get the shard out of it, spraying booboo-juice everywhere as you do."
                    jump failandhurt
                "Give up":
                    "You back away from the dangerous glass shards and return to Fluffy."
                    scene bg alley with dissolve
                    jump fluffyhomemenu


        label failandhurt:
            $ cleaningfail = True
            show fluffy horrified with dissolve
            b "[pn]! Nuu!"
            "Fluffy rushes in and hugs you. You cry inconsolably as you hug her back."
            p "Huuhuuhuu! [pn] haf wowstest huwties evah!"
            "You cry forever, staining both your fluffs as Fluffy holds you tight."
            show fluffy worried
            "Eventually your booboo-juice stops leaking out, although you are still shaking from the terrible pain."


            if askedfluffyspecialhugs and not scoredfluffy:
                b "[pn] need stay out of dangew. [pn] pway wif [yn] and twy nu get huwties, otay?"
                b "[pn] nu smawt enuf to weave safe pwace. Nu am big fwuffy..."
                "You sob miserably, not only from the pain but realizing that Fluffy doesn't see you as an adult anymore."
                "You have now permanently ruined your chances with Fluffy. There is no way to have special huggies with her anymore."
            else:
                b "Nu wowwy [pn]. Nu fwuffy can make meanie pointies go way. Dat way they stiww hewe."
                "You nod and sob, angreeing to never touch the dangerous shards again."
            jump fluffyhomemenu


            #show bg alley with dissolve
            #jump fluffiesmenu #are these still parts of something?
    ###################################### RETARD ######################################
    label talktoretard:
        if arttalk:
            scene bg blankwall with dissolve
        else:
            scene bg alicorn with dissolve
        $ retardtalk = False
        "You find [yellowsname] behind the dumpster, using a stump of a burny-stick to draw pretty pictures on the wall."
        p "Hewwo [yn]!"
        show retard happy
        r "Fwend?"

        menu meetretard:
            "Yes, friend.":
                p "Yes, fwend."
                show retard yay
                r "Fwend!"
                show retard happy
                "[yellowsname] reaches forward to hug you but underestimates the distance and flops on her belly. You waddle over and give her a hug so she won't get saddies."
                jump retardmenu
            "Yes, SPECIAL friend!" if scoredretard:
                show retard yay
                r "*GASP!* [pn]!"
                "[yellowsname] hugs you excitedly."
                jump retardmenu
            "We've already met, remember.":
                p "[yn] awweady meet [pn]. [yn] wemembew?"
                r "Nu."
                "You stare at each other in an awkward silence. Eventually you see it better to just keep the conversation moving."
                jump retardmenu
    menu retardmenu:
        "What's wrong with your eyes?":# if eyequestion:
            $eyequestion = False
            p "Why [yn] haf funny see-pwaces?"
            show retard happy
            r "When [yn] babbeh, bwockie faww on [yn] thinkie-pwace! Den evewyfing go funneh!"
            show retard yay
            r "[yn] mummah say [yn] too widdle to pway wif bwockies, buh stackies so much fun! [yn] wuv stack bwockies!"
            $ retardstack = True
            jump retardmenu
        "What are you drawing?" if arttalk:
            $ arttalk = False
            jump drawing
        "Lets talk about your drawing again." if not arttalk and not knowalicorns:
            "[pn] wan tawk about [yn] pictuwe again."
            r "Wingie [yn] pictuwe wif pointy?"
            jump firstdrawing
        "Wanna have special huggies?" if not talkedofspecialhuggies:
            $ talkedofspecialhuggies = True
            jump retardhugs
        "Let's talk about special huggies again." if talkedofspecialhuggies and not scoredretard:
            p "[pn] twy teww about speshul huggies again..."
            jump retardhugsstart
        "Bye bye!":
            p "Bye bye [yn]!"
            show retard happy
            r "Bye bye fwend!"
            scene bg alley with dissolve
            jump fluffiesmenu
    label drawing:
        p "Wat [yn] dwawing?"
        r "[yn]!"
        p "Yes, wat [yn] dwawing?"
        r "[yn] dwawing [yn]!"
        p "Oh, dat nice!"
        scene bg pegasus with dissolve
        #show retard happy
        "You watch as the [yellowsname] holds the smoky-stick between her hooves and painstakingly finishes drawing a fluffy. She makes a big mess as her eyes keep looking in different directions. Then she adds a pair of wings on its back."
        p "Siwwy [yn]! [yn] nu haf wingies!"
        show retard happy with dissolve
        r "Dis wingie [yn]! [yn] am wingie fwend nao!"
        "You laugh. The idea of [yellowsname] being a wingie friend is so silly!"
        "She laughs too. This is great fun!"
        r "Nao [yn] haf pointy!"
        scene bg alicorn with dissolve
        "You wait for her to draw another funny picture. Instead, she draws the horn to the same fluffy as the wings."
        "It can't be both a pegasus AND an unicorn. It's wrong!"
        menu firstdrawing:
            "That's not an unicorn, that's a monster!":
                p "Dat nu pointy fwend! Dat munstah!"
                show retard confused with dissolve
                r "Nuu! [yn] nu munstah! [yn] wingie fwuffy!"
                jump wingiequestion
            "You can't draw an unicorn there when it's already a pegasus.":
                p "[yn] nu can dwaw pointy fwend dewe! Dwawing awweady wingie fwend!"
                show retard confused with dissolve
                r "Pointy fwend? [yn] nu pointy fwend!"
                jump wingiequestion
            "Too scary! Run away!":
                p "Too scawy! Wun away!"
                scene bg alley with dissolve
                "[yellowsname] watches in utter confusion as you scream and run away, hiding in the corner with your hooves over your eyes."
                "After calming down a bit, you get back and get out of your hidey corner. You never want to see the scary picture again!"
                "You decide to find something less scary to do."
                jump fluffiesmenu
        label wingiequestion:
                p "[yn] nu twy dwaw pointy fwend?"
                show retard happy
                r "Nu! Dat wingie fwend! Wingie [yn]!"
                jump pointyquestion
        menu pointyquestion:
            "But if it's a pegasus, how can it also have a horn?":
                p "Buh if fwuffy am wingie fwuffy, how fwuffy haf pointy?"
                jump explanation
            "But if it's an unicorn, how can it have wings?":
                p "Buh if fwuffy am pointy fwuffy, how fwuffy haf wingies?"
                jump explanation
        label explanation:
            show retard happy
            r "[yn] am wingie!"
            r "Wif pointy!"
            r "Wingie fwuffy wif pointy on head!"
            menu:
                "That doesn't make any sense!":
                    p "Dat nu make sense! If fwuffy haf wingies, am wingie fwuffy. If fwuffy haf pointy, am pointy fwuffy!"
                    p "Nu can haf both!"
                    show retard confused
                    "She lets out an exasperated grunt and drops her smoky stick in a huff."
                    r "[yn] nu wan dwaw wif dummeh nu mowe!"
                    "You are shocked and sad from getting insulted like that, but at least you put an end to this madness."
                    "Hopefully you and [yn] can still make up and be friends."
                    jump retardmenu
                "Actually, you might be on to something...":
                    "You think about what she just said. Obviously a fluffy can't be both a pegasus and an unicorn, but what if it was a pegasus with only the HORN of an unicorn?"
                    "Indeed, you just watched her draw a pegasus. And then she drew a horn on it. She never drew a monster; she drew a pegasus, and then she drew a horn."
                    "This explains so much about the weirdness you've seen this day!"
                    p "*GASP!* [yn] am smawtie!"
                    $ knowalicorns = True
                    show retard yay
                    r "Yay!"
                    r "[yn] dwaw bawky-munstah nao!"
                    show retard happy
                    "[yellowsname] picks up the smoky stick again and starts adding even more parts to the drawing, but you quickly decide to change the subject. One life-changing revelation is enough for a day!"
                    jump retardmenu
                "I don't want to think about this anymore.":
                    "You rub your head with your hooves."
                    p "[pn] head huwties! Nu wan think of munstas anymowe!"
                    jump retardmenu
        label retardhugs:
            p "[yn] wan speshul huggies?"
            show retard yay
            r "Yay! Speshul huggies!"
            show retard happy
            "You try to get behind her, but she sits down and keeps rotating herself towards you, reaching her forelegs forward to hug you."
            p "Uh, [yn] nu know wat speshul huggies am?"
            r "Biggest huggies?"
            p "Nu. SPESHUL huggies!"
            r "Huh?"
            "You sigh. Looks like this is going to take some explaining..."
            jump retardhugsstart
        label retardhugsstart:
            $ firstidea = ""
            $ secondidea = ""
            $ thirdidea = ""
            $ latestidea = ""
            $ memoryfilling = 0
            $ forgetting = False
            $ somethingsaid = False
            $ lovemuchsaid = 0
            $ nuzzlesaid = 0
            $ goodfeelsaid = 0
            $ movefunnysaid = 0
            $ stacksaid = 0

            menu explainhugs1:
                "A mare and a stallion love each other very much" if lovemuchsaid < 1:
                    p "Mawe and stawwion haf wotsa wuv."
                    $lovemuchsaid = 3
                    $latestidea = "wotsa wuv..."
                    jump retardhugs2
                "The stallion puts his peepee in mares special place":
                    p "Stawwion put peepee in mawe speshul pwace."
                    show retard donotwant
                    r "Peepee?! Nu touch [yn] peepee! Dat bad touch!"
                    p "Nu, speshul huggies nu am bad touchies! And [yn] nu even haf peepee!"
                    show retard happy
                    r "Oh, dat otay den!"
                    r "Uh... [yn] fowget wat fwend tawkies about."
                    p "*sigh*"
                    jump startover
                "The mare and stallion will nuzzle" if nuzzlesaid < 1:
                    p "Mawe and stawwion make nuzzwies."
                    $nuzzlesaid = 3
                    $latestidea = "nuzzwies..."
                    jump retardhugs2
                "The stallion will mount the mare":# if not retardstack:
                    p "Stawwion put hoofsies ovah mawe."
                    show retard donotwant
                    r "Nuu! [yn] nu wan stompies!"
                    p "Nu stompies! Put weggies ovah nicewy!"
                    show retard happy
                    r "Oh... Dat otay den!"
                    r "Buh... [yn] nu wemembew wat fwend tawkies about..."
                    p "*sigh*"
                    jump startover
                "It will feel amazing" if goodfeelsaid < 1:
                    p "Giv bestest good feew!"
                    $goodfeelsaid = 3
                    $latestidea = "good feew..."
                    jump retardhugs2
                "The stallion will move back and forth" if movefunnysaid < 1:
                    $movefunnysaid = 3
                    p "Stawwion move fowwawd and backwawd, wike dis."
                    "You demonstrate by wiggling your body. [yellowsname] seems to understand."
                    $latestidea = "stawwion move funneh..."
                "The fluffies get stacked like blocks.":# if retardstack and stacksaid < 1:
                    $ stacksaid = 3
                    p "Mawe and stawwion make fwuffy stackie!"
                    $latestidea = "fwuffies stackie..."
                    jump retardhugs2
                "The mare will make babies":
                    $latestidea = "babbehs..."
                    jump retardhugs2
                "That's all there is to it." if somethingsaid:
                    jump retardhugsfail
                "Wait, did you just forget something?" if forgetting:
                    p "Howd on, [yn] fowget wat [pn] said?"
                    r "Maybe?"
                    show retard happy
                    r "[yn] nu wememba!"
                    p "*Sigh*"
                    jump explainhugs1
                "This isn't going anywhere.":
                    p "Dis nu good..."
                    jump startover

        label retardhugs2:


            $somethingsaid = True
            $memoryfilling +=1
            if memoryfilling==3:
                $forgetting = True
            $firstidea = secondidea
            $secondidea = thirdidea
            $ thirdidea = latestidea
            r "[firstidea][secondidea][thirdidea]"
            if stacksaid == 1 and movefunnysaid == 2 and goodfeelsaid == 3:
                jump retardremembers
            #r "And den?"
            $lovemuchsaid -=1
            $nuzzlesaid -=1
            $goodfeelsaid -=1
            $movefunnysaid -=1
            $stacksaid -=1
            jump explainhugs1
        menu startover:
            "Let's start over...":
                "[pn] start ovah..."
                jump retardhugsstart
            "Let's get back to this later.":
                "[pn] giv up!"
                jump retardmenu
        label retardhugsfail:
            p "And dat how fwuffies haf speshul huggies!"
            r "...[firstidea][secondidea][thirdidea] [yn] nu undastand."
            jump startover
        label retardremembers:
            show retard yay
            r "GASP! [yn] wemembew nao! Dat make babbehs!"
            p "Yes! Speshul huggies make babbehs!"
            r "[yn] wan speshul huggies nao!"
            p "Yay! [pn] giv [yn] bestest speshul huggies evah!"
            show retard happy
            "[yellowsname] turns around and backs her poopy-place towards you. You need to move a little to the side to keep her from backing past you, but you successfully catch her soft fluffy bottom with your nosie."
            "She lifts her tail to the side, letting you sniff and nuzzle her rear. She smells pretty!"
            "She braces her leggies for your weight as you hop up, wrapping your forelegs around her. Your peepee is already out and you start poking [yellowsname] with it."
            show retard aheago
            r "*GASP!*"
            "After prodding her fluff a few times, your peepee goes inside and you start thrusting your hips in earnest."
            p "Enf, Enf, Enf, Enf..."
            p "Enf Enf Enf Enf Enf Enf!"
            r "[yn] feew good! Wuv good feew!"
            p "ENF ENF ENF ENF! ENF! ENF!"
            p "GOOD FEEW!"
            $score +=1
            $scoredretard = True
            "You feel the good feel as your peepee squirts its goo into her special place."
            "You roll off her back and flop on the ground, panting and satisfied."
            show retard happy
            "[yellowsname] turns around, looking left and right before her eyes find you. She lies down nex to to you she snuggles up against your fluff. You nuzzle each other and hug warmly."
            r "Speshul fwend giv bestest speshul huggies!"
            p "[pn] wuv speshul fwend!"
            "You sigh happily as you enjoy the afterglow, with [yellowsname] snuggled softly by your side."
            scene bg alley with Fade (2,2,2)
            "After forever you finally break your embrace to go about your fluffy businesses. You feel great, and you look around for what to do next."
            jump fluffiesmenu

        ################################### CANDY, NOT FEARED ##############################
    label candynotfeared:
        show candy happy with dissolve
        $ candytalk = False
        if not toldcandynotafraid:
            $ toldcandynotafraid = True

            show candy happy with dissolve
            "You spot quickly spot Candy talking with Fluffy, finishing with a goodbye hug before Fluffy goes play with the ball."
            "You approach Candy, excited to tell about what you've learned."
            p "Hewwo Candy!"
            c "Hewwo [pn]!"
            p "[pn] nu scawed of Candy nu mowe!"
            show candy yay
            c "Oh? Dat gweat!"
            p "Candy nu am munstah! Candy am wingie fwuffy!"
            show candy happy
            "She looks confused, but not unhappy."
            c "...yes?"
            p "Wingie fwuffy wif pointy!"
            c "..."
            show candy yay
            c "Yes! Dat wite! [pn] undastand nao!"
            "You give candy a big happy hug. A pegasus with a horn is still strange, but not nearly as scary as a physically impossible fluffy."
            "Candy hugs you, tears of happiness welling in her eyes."
            if scaredypoopies_flag:
                p "[pn] sowwy fow make scawedy poopies. [pn] nu mean to..."
            else:
                p "[pn] sowwy fow say Candy munstah! [pn] nu know..."
                show candy reassuring
                p "Nu wowwy [pn]. Candy nu bwame [pn]."
                show candy sweet
                p "Candy knew [pn] wouwd undastand. [pn] smawt fwuffy!"
                show candy happy
                "You hug again, and both of you feel a lot better about your rough first meeting."
                jump candynicemenu
        else:
            if scoredcandy:
                p "Hewwo speshul fwend!"
            else:
                "Hewwo Candy!"
            c "Hewwo [pn]!"
            "You hug each other."
        menu candynicemenu:
            "Why do you have a horn?":
                p "How candy haf pointy?"
                show candy happy
                c "Candy nu know. Candy bown wif it."
                show candy yay
                c "Buh it otay! Hewd nu scawed of Candy!"
                show candy happy
                jump candynicemenu
            "How did you get your name?":
                jump candyname
            "What do you think of the herd?":
                jump scaredherdquestion
            "Would you like more huggies?":
                p "Candy wan mowe huggies?"
                show candy yay
                c "Candy awways wan huggies! Wuv huggies!"
                show candy happy
                "You hug again. Her fluff feels wonderfully soft and warm!"
                jump candynicemenu
            "Would you like special huggies?" if not scoredcandy:
                p "Candy wan speshul huggies?"
                show candy yay
                "Candy gasps in surprise and her face lights up with joy."
                c "Weally? [pn] be Candy speshul fwend?"
                p "Of couwse! [pn] giv Candy good feews!"
                c "YAY!"
                "Candy nuzzles you lovingly before turning around and lifting her tail, presenting her special place to you."
                "You nuzzle her, and she smells pretty! Your peepee starts getting bigger and you get up on your rear legs, holding onto her for support."
                "Her pretty wings flutter in front of you. They're so pretty now that you understand her better."
                "You readjust your position, your peepee poking her bottom a few times before it goes inside her special place."
                show candy aheago
                p "Enf Enf Enf Enf..."
                c "Aah, Candy feew good!"
                "Enf Enf Enf Enf Enf!"
                "ENF ENF ENF ENF ENF!"
                "GOOD FEEW!"
                $score +=1
                $scoredcandy = True
                "You feel the good feel, holding onto her quivering body as your peepee squirts inside her. Exhausted and satisfied, you flop down on your back and pant happily."
                show candy happy
                "Candy turns around and lays down next to you. You snuggle softly while hugging each other."
                c "[pn] giv bestest speshul huggies! Candy wuv!"
                p "[pn] wuv Candy!"
                "You sigh happily, hugging her fluffy body against yours. You have never been this happy!"
                scene bg alley with Fade(2,2,2)
                "After longest snuggly huggies, you eventually let go with one more loving nuzzle and a wave. You stretch your leggies and start thinking about what to do next."
                jump fluffiesmenu
            "That's enough for now. Bye bye!":
                p "Dats aww! Bye bye Candy!"
                show candy yay
                c "Bye bye [pn]!"
                scene bg alley with dissolve
                jump fluffiesmenu














        label end:
            "Are you sure you want to sleep? There are still things to do and fluffies to meet."
            menu:
                "Yes, I'm done.":
                    jump sleepend
                "No, not when there's still so much to see.":
                    jump fluffiesmenu
        label heardaddy:

            "As you look around the alley, you hear a familiar voice calling you"
            d "[playername]! Helloo! [playername]!"
            p "Daddeh!"
            "You gasp, excitedly looking around to pinpoint the source of the voice."
            d "[playername]! Where are you? [playername]!"
            "It's daddy! You can hear his voice coming from the street!"
            jump bestending #the only one this can lead to now.
            jump followme
        label sleepend:
            "You've had enough excitement for the day, and there's nothing you'd like more right now than taking a nap."
            "You climb into the nest box and curl snugly onto the soft little bed."
            "You close your eyes and drift off into to peaceful sleep."

            scene bg alley with Fade(1,1,1)
            "You wake up to a familiar voice calling for you."
            d "[playername]! Helloo! [playername]!"
            p "Daddeh!"
            "You jump up to your feet, shaking the sleep from your eyes as you try to pinpoint the source of the voice."
            d "[playername]! Where are you? [playername]!"
            "It's daddy! You can hear his voice coming from the street!"
            if score == 0:
                jump lonelyending
            else:
                jump followme
        label followme:
            menu:
                "Call for Fluffy" if scoredfluffy:
                    jump fluffyending
                "Call for Smarty" if scoredsmarty:
                    jump smartyending
                "Call for Fast" if scoredfast:
                    jump fastending
                "Call for Candy" if scoredcandy:
                    jump candyending
                "Call for [yellowsname]" if scoredretard:
                    jump retardending
                "Call for EVERY FLUFFY IN THE HERD!" if score > 4:
                    jump bestending
                "No time! Just run!":
                    "Wasting no time, you run straight out to meet your daddy!"
                    jump lonelyending
        label fluffyending:
            p "Fwuffy! Wake up! [pn] daddeh hewe!"
            "Fluffy stirs from her sleep, yawning and blinking in surprise."
            if saidlostdaddy_flag:
                show fluffy happy with dissolve
                b "[pn] find daddeh? Dat gweat!"
                show fluffy yay
                b "Fwuffy su happeh!"
            else:
                show fluffy surprised with dissolve
                b "[pn] haf daddeh?"
                b "Dat bestest news evah!"
                show fluffy yay
                b "Fwuffy su happeh!"
            hide fluffy
            show bg streetentry with dissolve
            "You run right out of the safe place, scurrying through the hole in the fence as fast as you can!"
            "You get out into the street, coming face to face with..."
            show bg daddyreturns with dissolve
            p "DADDEH!"
            d "[playername]! Oh, thank god you're safe! I've been looking for you everywhere!"
            "You run up to your daddy, leaping up to his waiting arms. You share a relieved hug with tears of happiness flowing from your eyes."
            p "Fwuffy save [pn]! [pn] was so scawed, buh fwuffy hewp [pn] find hewd and nummies!"
            #d "Fluffy?"
            show fluffy happy
            "Daddy notices Fluffy as she watches your reunion, her eyes wet with tears of happiness."
            d "Oh! You mean this one."
            p "Yes! Fwuffy [pn] speshul fwend!"
            d "Oh my! So you two..."
            show fluffy yay
            b "Fwuffy wuv [pn]!"
            p "[pn] wuv Fwuffy! [pn] and Fwuffy haf speshul huggies!"
            show fluffy happy
            "Daddy sighs thoughtfully as he looks at Fluffy. You can tell he's thinking about something."
            d "Well... I guess I do owe you for saving [playername]. And if you're having his babies I guess that makes you family."
            d "So..."
            d "How would you like to come live with us?"
            show fluffy yay
            b "YAY! Fwuffy wuv Daddeh! Fwuffy wuv [pn]! Fwuffy haf biggest happies evah!"
            d "Haha, yes. Now, I think you're going to need a proper name..."
            scene bg fluffyending with Fade(2,1,2)
            "Walnut was overjoyed about her new name, as well as her new home."
            "You showed her around your saferoom, introducing her to your toys telling her about daddy's rules."
            "Walnut was a good fluffy. And after forever, she gave birth to many good babies!"
            "You love your little family. Your daddy, your babies, and your special friend. This is the good life."
            theend " THE END \n SCORE: [score]/5"
            return

        label smartyending:
            p "Smawty! Wake up! Daddeh hewe!"
            "Smarty wakes up, yawning and blinking in surprise."
            if saidlostdaddy_flag:
                show smarty happy with dissolve
                s "[pn] Daddeh find [pn]? Dat gweat!"
                s "Wet's go!"
            else:
                show smarty headtilt with dissolve
                s "Who?"
                p "[pn] daddeh! Daddeh found [pn]!"
                p "Fowwow [pn]!"
            scene bg streetentry with dissolve
            "You run out, squeezing through the hole in the fence to find..."
            scene bg daddyreturns with dissolve
            p "DADDEH!"
            d "[playername]! Oh, thank god you're safe! I've been looking for you everywhere!"
            "You run up to your daddy, leaping up to his waiting arms. You share a relieved hug with tears of happiness flowing from your eyes."
            p "Daddeh! [pn] miss you!"
            d "I missed you too [playername]! I'm so happy that you're okay!"
            p "[pn] otay daddeh! [pn] meet speshul fwend!"
            "Daddy raises his eyebrows."
            show smarty happy with dissolve
            d "Oh? You mean this fluffy?"
            show smarty yay
            s "Smawty [pn] speshul fwend!"
            show smarty happy
            "Daddy cringes. He looks more worried than happy now."
            d "Uh, [playername]? I... don't think a smarty makes for good special friend."
            p "Why no? [pn] wuv Smawty!"
            d "Well... I'm sure the smarty has her own herd to take care of."
            d "It is a she, right?"
            s "Nu wowwy mistah. Smawty know wat to do."
            s "Candy! Candy come to Smawty!"
            show smarty happy at left with move
            show candy happy at right with dissolve
            "Candy peeks out from the safe place, coming face to face with Smarty."
            show smarty serious
            s "[pn] find daddeh."
            s "Smawty go wif [pn] nao. Hewd need new smawty!"
            show candy worried
            c "What? Who new smawty? Dewe nu mowe smawty fwuffies in da hewd!"
            s "Dewe am. Candy am smawty nao!"
            show candy surprised
            c "WHAT? Candy nu can be smawty! Candy-"
            s "Candy smawt! Candy smawtew than Smawty!"
            show smarty happy
            s "Candy onwy need me bwave too!"
            c "..."
            show candy happy
            c "Otay Smawty..."
            show candy yay
            c "Candy take good cawe of hewd!"
            hide candy with dissolve
            show smarty happy at center with move
            "Smarty and Candy share a tearful farewell hug. Smarty wipes the tears from her eyes and turns to face your daddy again."
            show smarty worried
            fs "Fwuffy wuv [pn] mowe than anyfing! Can fwuffy come wive with [pn] too?"
            "Daddy is speechless."
            d "Wow. That sure was some show of humility."
            d "You do seem like an unusually intelligent fluffy, so if [playername] wants it..."
            "She looks at you with a smile."
            p "Yes daddeh! [pn] wuv speshul fwend! Pwease wet speshul fwend come wive wif [pn]!"
            show smarty happy
            d "Well! If [playername] vouches for you, I'd say that settles it. Welcome to the family!"
            show smarty yay
            fs "Yay! Fwuffy wuv daddeh!"
            "Daddy scoops up your special friend so you can share a threeway-hug. You are so relieved daddy decided to take her in!"
            d "Now then, I think you're going to need a new name..."
            scene bg smartyending with Fade(2,1,2)
            "Minerva was really happy about her new home, and quickly learned all of daddys rules."
            "You introduced her to your toys, and she was really excited about your storybooks!"
            "You spent many days just reading stories together. She even started making stories of her own!"
            "You and your babies love her stories! She must be the smartest fluffy ever!"
            "And every night, you get to fall asleep togehter, cuddling in a warm little fluffpile. You are the luckiest fluffy ever."
            theend " THE END \n SCORE: [score]/5"
            return



        label fastending:
            p "Fast! Wake up! Daddeh hewe!"
            "Fast wakes up with a start, leaping to her feet still half-asleep."
            show fast happy with dissolve
            f "[pn] haf daddeh? Whewe?"
            p "Daddeh outside safe pwace! Wets-"
            hide fast
            "Before you've even finished, Fast is on her way and practically flying out of the alley."
            scene bg streetentry with dissolve
            "You run after her as fast as you can, excited to finally see your daddy again. You slip through the hole and see..."
            scene bg daddyreturns with dissolve
            p "DADDEH!"
            "Daddy is there! You reach your hooves to hug him and he swoops you up in his arms."
            d "Oh [playername]! I'm so glad you're okay!"
            p "[pn] miss daddeh! [pn] su happeh!"
            d "I missed you too [playername]! I've been looking for you everywhere!"
            d "I could barely belive my luck when this little fluffy told me you were safe!"
            show fast happy with dissolve
            p "Speshul fwend!"
            d "Oh! She's your special friend?"
            show fast yay
            f "Fast wuv [pn]!"
            #show fast yay
            p "Yes daddeh! Fast best speshul fwend evah!"
            f "Fast am FAST!"
            show fast happy
            "Daddy laughs happily."
            d "Oh wow, I didn't think you'd manage to find a special friend so quckly!"
            p "Fast am weawwy fast! Wook!"
            "Daddy looks with amusement as Fast runs a few circles along the sidewalk."
            d "Well, she is fast, I'll give you that!"
            p "Fast come wive wif [pn] and daddeh?"
            "Daddy thinks hard."
            f "Pwease be nyu daddeh! Fast wan be wif [pn] foweba!"
            d "..."
            d "Aww, allright then! Welcome to the family, Fast!"
            show fast yay
            f "YAY! Fast wuv daddeh! Wuv speshul fwend!"
            scene bg fastending with Fade(2,1,2)
            "Daddy carried you home, with Fast running all the way by his side."
            "Fast was excited about her new home, and loved running around the backyard."
            "Daddy even taught Fast new games to play with the ball, and you had so much fun playing them with her!"
            "Daddy was so impressed by her speed, he decided to see if she really was the fastest fluffy in the world."
            "Now Fast regularly goes to running competitions where she runs with all the fastest fluffies around the world."
            "And when she comes home, there's nothing she loves more than cuddling by your side and recovering with good huggies."
            "But the best part is, she is so fast that every human wants to adopt her babies! That means you got to have many, many special huggies with her!"
            "She's your fast blue angel, and you are so happy to have her. You must be the luckiest fluffy in the whole world."
            theend " THE END \n SCORE: [score]/5"
            return
        label candyending:
            p "Candy! Wake up! Daddeh hewe!"
            "Candy yawns and stretches, blinking and turning to look at you with happy eyes."
            show candy happy
            c "[pn] daddeh find [pn]? Dat fantastic!"
            p "Candy fowwow [pn]! Come see daddeh!"
            c "Otay [pn]!"
            scene bg streetentry with dissolve
            "You rush out of the alley, squeezing through the hole with Candy following right behind you. As you enter the street you find..."
            scene bg daddyreturns with dissolve
            p "DADDEH!"
            d "[playername]! Oh, thank god you're safe! I've been looking for you everywhere!"
            "You run up to your daddy, leaping up to his waiting arms. You share a relieved hug with tears of happiness flowing from your eyes."
            p "Daddeh! [pn] miss you!"
            d "I missed you too [playername]! I'm so glad you're okay!"
            p "[pn] otay daddeh! [pn] find speshul fwend!"
            d "Special friend, huh? Who is this lucky-"
            show candy happy with dissolve
            d "Is that an alicorn?!"
            show candy worried
            p "Nu be scawed daddeh! Candy nu am munstah!"
            d "You managed to snag a pink alicorn! That's AMAZING!"
            show candy happy
            "Daddy is really happy! He must be proud of you finding your own special friend!"
            d "Oh [playername], this is amazing! Do you know how rare alicorns are?"
            p "[pn] haf nu idea."
            d "I'll explain it later. It's enough to say that your special friend is truely special!"
            c "Candy am speshul?"
            d "Yes Candy! Would you like me to be your daddy?"
            show candy yay
            c "Yes! Candy wuv to! Candy get to wive wif [pn] nao!"
            p "Yay! Wuv Candy! Wuv daddeh!"
            scene bg candyending with Fade (2,1,2)
            "Daddy was really excited about Candy. You learned that Candy was called an alicorn, and that alicorns were super-duper rare!"
            "Humans love alicorns so much that they give daddy money just for letting them see her. She even won a lot of awards for being so pretty!"
            "You are so proud of her! Your special friend is officially the prettiest mare in the whole world!"
            "You hug and play every single day. Every day with her is the bestest day ever!"
            "Your life is is perfect."
            theend " THE END \n SCORE: [score]"
            return

        label retardending:
            p "[yn]! Wake up Daddeh hewe!"
            "[yellowsname] wakes with a snort and opens her eyes."
            show retard happy with dissolve
            r "Fwend?"
            p "Nu! Uh, Yes! Daddeh am fwend! Buh bettew!"
            p "Come quick! [pn] need go to daddeh!"
            show retard yay
            r "Otay! [yn] come!"
            scene bg streetentry with dissolve
            "[yellowsname] is having trouble finding the hole in the fence. You yell at her to follow you as you dive through before it's too late. You come out and find..."
            scene bg daddyreturns with dissolve
            p "DADDEH!"
            d "[playername]! Oh, thank god you're safe! I've been looking for you everywhere!"
            "You run up to your daddy, leaping up to his waiting arms. You share a relieved hug with tears of happiness flowing from your eyes."
            p "Daddeh! [pn] miss you!"
            d "I missed you too [playername]! I'm so glad you're okay!"
            "You hug deeply, enjoying each other's embrace after so much time apart."
            "A curious huffing and rattling, coming the hole in the fence catches your daddy's attention."
            show retard happy
            r "Gnh! Hnngh! Ah! [yn] got thwough howe!"
            d "BWAHAHAHAHA!"
            "You hold onto daddy as his body shakes with laughter."
            d "HAHAHA! What's with her- she looks so- HAHAHAHA!"
            p "Dat [yn]!"
            d "[yellowsname]? HAHAHAHAHAHA!"
            p "[yn] am [pn] speshul fwend!"
            d "BWAHAHA! I'm sorry, your special friend is... HAHAHAHA!"
            "Daddy is really happy about your special friend! This gives you heart happies too!"
            r "[yn] can haf daddeh?"
            d"HAHAHA! *ahem*"
            d"I don't know... I mean you are kinda..."
            p "Pwease daddeh! [pn] good fwuffy! Bestest speshul fwend!"
            "Daddy thinks a while. He laughs every time he looks at [yellowsname], and finally makes his decision."
            d "You know what? Since she's your special friend and all, I think we should take her home."
            show retard yay
            r "YAAY!"
            d "I mean, she looks just so... HAHAHAHA!"
            d "Oh man..."
            scene bg retardending with Fade(2,1,2)
            "Daddy brought you and [yellowsname] home, and you showed her around the house."
            "At first she had a hard time navigating the house, but after a few weeks she started to remember where everything was located."
            "She had a few accidents, but daddy wasn't angry - instead, he started making moving pictures of her and sending them to the internet!"
            "Daddy says Fart now has over million friends around the world! That's incredible!"
            "Her friends send you all kinds of new toys to play with, and you get to play with her every day while daddy makes more moving pictures."
            "You love her more than anything. She is so funny, and the bestest special friend you could have hoped for!"
            theend " THE END \n SCORE: [score]"
            return


            jump followme

        label lonelyending:
            scene bg streetentry with dissolve
            "You run out, squeezing through the hole as fast as you can."
            "You get to the street, and..."
            scene bg daddyreturns with dissolve
            p "DADDEH!"
            d "[playername]! Oh, thank god you're safe! I've been looking for you everywhere!"
            "You run up to your daddy, leaping up to his waiting arms. You share a relieved hug with tears of happiness flowing from your eyes."
            p "Daddeh! [pn] miss you!"
            d "I missed you too [playername]! Now let's get home, I'm gonna make you sketties to celebrate!"
            p "Yay sketties!"
            scene bg lonelyending with Fade (2,1,2)
            "After daddy took you home, you told him all about the adventures you had."
            "He was very proud of you for surviving out in the city on your own, and got you a new collar that wouldn't break and let you get lost again."
            "You were happy to get back to your old, comfortable life, with all the toys and nummies you could wish for."
            "However, you also feel lonely sometimes. And you can't help wondering if things could have gone differently..."
            theend " THE END \n SCORE: [score]/5"
            return

        label bestending:
            "You run excitedly around the alley, alerting every fluffy you can!"
            p "Daddeh hewe! Daddeh hewe! Ewewyone come quick! Fowwow [pn]!"
            if saidlostdaddy_flag:
                show smarty yay with dissolve
                s "[pn] find daddeh! Smawty so happy fow [pn]!"
                hide smarty
                show fluffy yay
                b "Fwuffy so happeh! [pn] can get home nao!"
                hide fluffy
            else:
                show fluffy surprised with dissolve
                b "Daddeh? [pn] haf daddeh?"
                show fluffy yay
                b "Dat bestest news evah!"
                hide fluffy
                show smarty yay with dissolve
                s "Dat awesome! Smawty so happy fow [pn]!"
                hide smarty
            show fast happy
            f "Whewe daddeh?"
            p "Daddeh outside safe pwace!"
            "You point your hoof in the direction of his voice."
            show fast yay
            f "Fanks! Fast go teww daddeh [pn] hewe!"
            hide fast with dissolve
            "She takes off like a rocket, ducking through the fence hole and disappearing from sight."
            show candy yay with dissolve
            c "Dis am bestest news! [pn] get back home again!"
            show candy happy
            c "[pn] think Candy can come too?"
            p "Of couwse! Daddeh wuv fwuffies!"
            show candy yay
            c "Candy hope so! Candy go meet daddeh nao!"
            hide candy
            show retard happy
            with dissolve
            r "Daddeh! Daddeh! Whewe daddeh?"
            p "Daddeh outside! Fowwow [pn]!"
            show retard yay
            r "Otay [pn]! [yn] fowwow!"
            label herdgoestostreet:
                scene bg streetentry with dissolve
                "With a cacophony of excited yells, the herd pushes out of the safe place as fast as they can. You squeeze through the chaos and see..."
                scene bg daddyreturns with dissolve
                p "DADDEH!"
                d "[pn]! There you are! Thank god, I've been so worried for you!"
                "Daddy leans down and picks you up for a joyful hug. However, he's surprised by the herd of cheering fluffies gathered around his feet, hugging his legs and each other."
                show fast yay with dissolve
                f "[pn] daddeh! Daddeh of bestest fwuffy evah!"
                hide fast
                show fluffy happy
                b "Fwuffy su happeh Daddeh hewe! Daddeh good fow [pn]!"
                hide fluffy
                show candy yay
                c "Mistah haf bestest fwuffy! Fwuffies wuv [pn]!"
                hide candy
                show retard yay
                r "FWEND!"
                hide retard
                show smarty yay
                s "Hooway! Dis bestest day evah!"
                hide smarty with dissolve
                "Daddy is astonished by all the attention he's getting, trying to make sense of the situation. All the fluffies cheering and talking over each other isn't helping."
                p "Daddeh! Dis fwuffy hewd! Fwuffies [pn] speshul fwends!"
                d "Special friends? All of them?"
                p "Dat wite! [pn] wuv hewd!"
                d "Wow! That's... really impressive!"
                "He seems surprised, amused, and quite a bit awkward. He must be shy in front of so many new fluffies."
                p "Nu be scawed daddeh! Fwuffies am good fwuffies!"
                show fluffy happy
                b "Dat wite! Fwuffies be good fow nyu daddeh!"
                #hide fluffy with dissolve
                "Now daddy looks just awkward and hesitant. He takes a step back from the herd, the cheering crowd getting quieter to hear what he has to say."
                d "Okay, let's not jump to conclusions here..."
                d "I didn't promise to adopt you yet! I mean, I can't just take in that many new fluffies!"
                hide fluffy
                show candy worried
                c "Speshul fwends.. nu get to wive wif [pn]?"

                p "Pwease daddeh! [pn] wuv speshul fwends! [pn] do anyfing!"
                d "Okay, maybe one special friend, at most. Who would you say is your favorite of the-"
                hide candy
                show smarty serious
                s "NU!" with hpunch
                show smarty seriousquiet
                "Uh oh! Daddy doesn't like being yelled at!"
                "Smarty must not know this! You scramble to hush her down, but she continues before you can say anything."
                show smarty serious
                s "Daddeh nu make [pn] weave speshul fwends! [pn] wuv speshul fwends!"
                show smarty happy
                s "And if daddeh wuv [pn], daddeh wiww wuv speshul fwends too!"
                hide smarty
                show fluffy happy
                s "Speshul fwends [pn] famiwy! Wike daddeh!"
                hide fluffy
                show fast happy
                s "Speshul fwends make [pn] happeh! Wun and pway when daddeh nu can!"
                hide fast
                show retard happy
                r "Speshul fwends funsies! Mowe fwends MOWE funsies!"
                hide retard
                show candy happy
                c "Speshul fwends wowth mowe dan anyfing!"
                show candy yay
                c "And speshul fwends make babbehs!"
                hide candy
                show smarty yay
                s "Smawt babbehs!"
                hide smarty
                show fast yay
                f "Fast babbehs!"
                hide fast
                show fluffy yay
                f "Nice babbehs!"
                hide fluffy
                show retard yay
                r "Babbehs!"
                hide retard
                show smarty happy
                s "So! Wat mistah say?"
                hide smarty
                "Daddy is taken back by the fluffies words. You see that he's thinking of something, but he isn't saying anything."
                "Finally, daddy lets out a hearty laugh and shakes his head."
                d "You know what? You have a point! I have been thinking about becoming a fluffy breeder!"
                p "Yay! Fank you daddeh!"
                "You hug daddy with all your heart while your special friends cheer and hug daddys legs again. Daddy laughs happily and crouches down to pet his new fluffies."
                "Okay then! Now let's get you home, I'm making sketties for everyone!"
                jump compositeending #new way to handle best ending!
                scene bg bestending with Fade(2,1,2)
                "The following days were a blur of activity. Your house had never had so many fluffies before, and you spent forever making sure that everyone knew the rules and got settled in comfortably."
                "It was like a dream come true. Before you hadn't had a single special friend, but now you couldn't even go to the litterbox without bumping into fluffies to hug along the way!"
                "You needed a bigger bed just so all of you could fit in it. Sleeping in a fluffpile was so much better than sleeping alone!"
                "And then the babies started coming. So many little babies! You could hardly believe it!"
                "You and daddy helped your special friends take care of them, and daddy made sure they would all get adopted into good homes."
                "You and your herdmates love each other so very much! This is the best life any fluffy could dream of!"
                theend " PERFECT END \n SCORE: [score]/5"
                return


            #new format of multi-fluffy endings

    label compositedaddymeetings:
        $ fluffiesadopted = 0
        #"You run out, squeezing through the hole as fast as you can."
        #"You get to the street, and..."
        scene bg daddyreturns with dissolve
        p "DADDEH!"
        d "[playername]! Oh, thank god you're safe! I've been looking for you everywhere!"
        "You run up to your daddy, leaping up to his waiting arms. You share a relieved hug with tears of happiness flowing from your eyes."
        p "Daddeh! [pn] miss you!"
        if scoredfast:
            $fluffiesadopted +=1
            d"I missed you too [playername]! I could barely believe my luck when this little fluffy told me you were safe!"
            show fast happy with dissolve
            p "Speshul fwend!"
            d "Oh! She's your special friend?"
            show fast yay
            f "Fast wuv [pn]!"
            #show fast yay
            p "Yes daddeh! Fast best speshul fwend evah!"
            f "Fast am FAST!"
            show fast happy
            "Daddy laughs happily."
            d "Oh wow, I didn't think you'd manage to find a special friend so quckly!"
            p "Fast am weawwy fast! Wook!"
            "Daddy looks with amusement as Fast runs a few circles along the sidewalk."
            d "Well, she is fast, I'll give you that!"
            f "Fast wan come wive wif [pn]!"
            "Daddy thinks hard."
            f "Fast wuv [pn]!"
            d "Hmm..."
            p "Pwease daddeh! Fast am [pn] speshul fwend!"
            d "Well, if she's your special friend, I guess we have room for one more fluffy!"
            show fast yay
            p "HOOWAY!"
            f "YAY! Fast wuv daddeh! Wuv speshul fwend!"
            scene bg daddyreturns with dissolve
        else:
            d "I missed you too [playername]! I'm so glad you're okay!"

        if scoredfluffy:
            $ fluffiesadopted +=1
            if fluffiesadopted ==1: #means you only got Fluffy and no one else
                p "Fwuffy save [pn]! [pn] was so scawed, buh fwuffy hewp [pn] find hewd and nummies!"
                d "Fluffy?"
                show fluffy happy
                "Daddy notices Fluffy as she watches your reunion, her eyes wet with tears of happiness."
                d "Oh! You mean this one."
                p "Yes! Fwuffy [pn] speshul fwend!"
                d "Oh my! So you two..."
                show fluffy yay
                b "Fwuffy wuv [pn]!"
                p "[pn] wuv Fwuffy! [pn] and Fwuffy haf speshul huggies!"
                show fluffy happy
                "Daddy sighs thoughtfully as he looks at Fluffy. You can tell he's thinking about something."
                d "Well... I guess I do owe you for saving [playername]. And if you're having his babies I guess that makes you family."
                d "So..."
                d "How would you like to come live with us?"
                show fluffy yay
                b "YAY! Fwuffy wuv Daddeh! Fwuffy wuv [pn]! Fwuffy haf biggest happies evah!"
                show fluffy happy
                d "Haha, yes. Now then, I think you're going to need a proper name. How about... Walnut?"
                bw "*GASP!* Fwuffy am Wawnut? Wawnut WUV name!"
                hide fluffy with dissolve
            else:
                p "[pn] was so scawed! Buh den Fwuffy save [pn]!"
                show fast happy
                "Daddy pets Fast's head."
                d "Thank you! If you saved [playername]'s life, you certainly deserve to live with us!"
                f "Fast nu save [pn]! Fwuffy save [pn]!"
                scene bg daddyreturns
                show fluffy happy
                with dissolve
                b "[pn] find daddeh! Fwuffy su happeh!"
                d "Oh! Is this the fluffy that saved you?"
                p "Yes daddeh! [pn] was so scawed, buh speshul fwend giv huggies and hewp [pn] find safe pwace!"
                if fluffiesadopted > 1:
                    d "Another special friend, huh?"
                    b "Can Fwuffy come wive wif [pn]?"
                    d "Well... Okay. I already said saving [playername]'s life was worth it, so I guess it's too late to take that back now."
                    show fluffy yay
                    b "Yay! Fwuffy wuv daddeh!"
                    show fluffy happy
                else:
                    d "Special friend, huh?"
                    b "Yes mistah. Fwuffy [pn] speshul fwend!"
                    show fluffy worried
                    b "Pwease can fwuffy come wif [pn]! Fwuffy wuv [pn]!"
                    d "Well... since you saved his life, I think you've deserved it. Welcome to the family!"
                    show fluffy yay
                    b "Yay! Fwuffy haf biggest heawt happies evah!"
                    show fluffy happy
                    d "Now then... I think you need a name... How about, Walnut?"
                    bw "*GASP!* Fwuffy am Wawnut? Wawnut WUV name!"
                    hide fluffy with dissolve
        if fluffiesadopted == score:
            "Daddy scoops up your special friends into a big group hug."
            d "Fluffies, let's go home! This calls for a celebration so I'm making sketties for all of us!"
            jump compositeending
        else:
            scene bg daddyreturns with dissolve #to fix Fluffy being stuck on screen
        if scoredsmarty:
            $fluffiesadopted +=1
            label uselesslabel:
                show smarty happy with dissolve
                s "Speshul fwend find daddeh! Smawty su happeh!"
                show smarty happy
                d "Special friend?"
                p "Smawty am [pn] speshul fwend! [pn] wuv smawty!"
                "Daddy cringes. He looks more worried than happy now."
                d "Uh, [playername]? I... don't think a smarty makes for good special friend."
                p "Why no? [pn] wuv Smawty!"
                d "Well... I'm sure the smarty has her herd to take care of..."
                d "It is a she, right?"
                s "Nu wowwy mistah. Smawty know wat to do."
                if not scoredcandy:
                    s "Candy! Candy come to Smawty!"
                    show smarty happy at left with move
                    show candy happy at right with dissolve
                    "Candy peeks out from the safe place, coming face to face with Smarty."
                    #show smarty serious
                    s "[pn] find daddeh."
                    show smarty serious
                    s "Smawty go wif [pn] nao. Hewd need new smawty!"
                    show candy worried
                    c "Wat? Buh dewe nu smawty fwuffies in da hewd!"
                    show smarty happy
                    s "Dewe am. Candy am smawty nao!"
                    show candy surprised
                    c "WHAT? Candy nu can be smawty! Candy-"
                    s "Candy smawt! Candy smawtew than Smawty!"
                    s "Candy onwy need me bwave too!"
                    c "..."
                    show candy happy
                    c "Otay Smawty..."
                    show candy yay
                    c "Candy take good cawe of hewd!"
                    show smarty happy
                    hide candy with dissolve
                    show smarty happy at center with move
                    "Smarty and Candy share a tearful farewell hug. Smarty wipes the tears from her eyes and turns to face your daddy again."
                    #show smarty worried
                    fs "Fwuffy wuv [pn]. Can fwuffy come wive with [pn] nao?"
                    "Daddy is speechless."
                else:
                    hide smarty with dissolve
                    "Smarty slips back to the alley. You and daddy try to hear what she's saying, but she's too far."
                    "Eventually she returns, her eyes still moist with tears."
                    show smarty happy
                    fs "Fwuffy find nyu smawtie fow hewd. Fwuffy nu am smawtie nu mowe!"
                    "Daddy blinks, surprised by the turn of events."
                    fs "Fwuffy just wan wive wif [pn]! [pn] mean mowe dan anyfing!"
                    "Daddy is speechless."
                d "Wow. That sure was some show of humility."
                d "You do seem like an unusually intelligent fluffy, so if [playername] wants it..."
                #"He looks at you with a smile."
                p "Yes daddeh! [pn] wuv speshul fwend! Pwease wet speshul fwend come wive wif [pn]!"
                show smarty yay
                d "Well! If [playername] vouches for you, I'd say that settles it. Welcome to the family!"
                show smarty yay
                fs "Yay! Fwuffy wuv daddeh!"
                "Daddy scoops up your special friend so you can share a threeway-hug. You are so relieved daddy decided to take her in!"
                d "Now then, I think you're going to need a new name... How about, Minerva?"
                ms "Minewwa? Minewwa WUV name!"
                p "YAY! [pn] wuv Minewwa!"
                p "You hug Minerva, your heart swelling with happiness."
                hide smarty with dissolve
        if fluffiesadopted > 0 and fluffiesadopted == score:
            d "Okay then, let's get you home! I'm going to make sketties for all of us!"
            jump compositeending
        if scoredretard:
            $fluffiesadopted +=1
            if fluffiesadopted > 1: #meaning more than Fart
                d "Okay, that should be enough fluffies for me. Time to-"
            show retard happy with dissolve
            r "*Hnngh!* [yn] finawwy make it twough da howe!"
            #"As your daddy notices [yellowsname], he bursts into uncontrollable laughter!"
            d "BWAHAHAHAHA!"
            "You hold onto daddy as his body shakes with uncontrollable laughter."
            d "HAHAHA! What's with her- she looks so- HAHAHAHA!"
            p "Dat [yn]!"
            d "[yellowsname]? HAHAHAHAHAHA!"
            p "[yn] am [pn] speshul fwend!"
            if fluffiesadopted > 2:
                d "Yet another special friend? This one's kind of... HAHAHAHA!"
            elif fluffiesadopted > 1:
                d "Another special friend? This one's kind of... HAHAHAHA!"
            else:
                d "BWAHAHA! I'm sorry, your special friend is just so... HAHAHAHA!"
            "Daddy is really happy about your special friend! This gives you heart happies too!"
            r "[yn] can haf daddeh?"
            d"HAHAHA! *ahem*"
            d"I don't know. I mean, I already have [playername]..."
            p "[yn] good fwuffy! Bestest speshul fwend! [pn] wuv!"
            "Daddy thinks a while. He starts laughing every time he looks at [yellowsname], but finally he makes his decision."
            d "You know what? Since she's your special friend and all, I say we adopt her!"
            show retard yay
            r "YAAY!"
            d "I mean, she looks just so... HAHAHAHA!"
            show retard happy
            "Daddy wipes tears of happiness from his eyes."
            d "Oh man, I can't wait to show her to everybody!"
            hide retard with dissolve
        if fluffiesadopted == score:
            d "Allright then fluffies, let's go home. This calls for a celebration, so I'm making sketties for everyone!"
            jump compositeending
        else:
            if fluffiesadopted==1:
                d "Having a second fluffy in the house is sure going to be interesting. Now, let's get home before-"
            elif fluffiesadopted == 2:
                "Daddy takes a look at your special friends, sighing happily as he shakes his head."
                d "I never expected I'd be bringing home this many fluffies. Oh well, let's get home before-"
            else:
                "Daddy looks at you and your special friends, sighing happily as he shakes his head."
                "Oh man, having this many fluffies in the house is going to get some time getting used to."
                "But now, there's no way I'd-"
        if scoredcandy:
            show candy happy with dissolve
            "Daddy gasps in shock as she notices Candy."
            #show candy worried
            p "Nu be scawed daddeh! Candy nu am munstah!"
            d "Is that an alicorn?!"
            d "You managed to snag a pink alicorn?! That's AMAZING!"
            show candy happy
            "Daddy is really happy! He hugs you, brimming with excitement!"
            d "Oh [playername], this is amazing! Do you know how rare alicorns are?"
            p "[pn] haf nu idea."
            d "I'll explain later! For now, it's enough to say that your special friend here is very, very special!"
            c "Candy am speshul?"
            d "Yes Candy! Would you like me to be your daddy?"
            show candy yay
            c "Yes! Candy wuv daddeh! Candy get to wive wif [pn] nao!"
            p "Yay! [pn] wuv Candy! Wuv daddeh!"
            d "Oh man, this has to be my lucky day! Now, let's get home, we're gonna celebrate this with sketties!"
            jump compositeending
        else:
            "And so..." #just in case there's an error somewhere
            jump compositeending


    label compositesleep:
        "You and your special friends go to sleep in the nest box, making a comfy little fluffpile on the blanet. With their warm fluffy bodies breathing softly around you, you drift off into comfiest sleep ever."
        scene bg alley with Fade(1,2,1)
        "You stir from your sleep to a familiar voice calling for you."
        d "[playername]! Helloo! [playername]!"
        p "Daddeh!"
        "You squirm out of the fluffpile, trying to pinpoint the source of the voice."
        d "[playername]! Where are you? [playername]!"
        "It's daddy! You can hear his voice coming from the street!"
        p "Speshul fwends! Wake up! Daddeh am hewe! Daddeh come find [pn]!"
        $firstfluffy=True
        if scoredfluffy:
            show fluffy happy with dissolve
            $firstfluffy=False
            b "Bhuh? [pn] find daddeh! Dat gweat!"
        if scoredfast:
            if firstfluffy:
                show fast happy with dissolve
            else:
                hide fluffy
                show fast happy
            $firstfluffy=False
            f "Fast wakies! Fast go find daddeh!"
        if scoredsmarty:
            if firstfluffy:
                show smarty happy with dissolve
            else:
                hide fluffy
                hide fast
                show smarty happy
            $firstfluffy=False
            s "Dat bestest news evah! Wets go!"
        if scoredcandy:
            if firstfluffy:
                show candy happy with dissolve
            else:
                hide fluffy
                hide fast
                hide smarty
                show candy happy
            $firstfluffy=False
            c "Weawwy? Candy su happeh!"
        if scoredretard:
            if firstfluffy:
                show retard happy with dissolve
            else:
                hide fluffy
                hide fast
                hide smarty
                hide candy
                show retard happy
            r "Daddeh?"
            p "Yes! [pn] daddeh! Wet's go!"
        scene bg streetentry with dissolve
        "You rush to the end of the alley, barely managing to squeeze through the hole in all your excitement."
        "As you make it out to the street, you see..."
        jump compositedaddymeetings

    label individualending:
        "You and your new special friend head into the nest box, hugging each other with hearts full of love as you lie down on the blanket."
        "You love her so much, and as you close your eyes with her warm fluff against yours, you drift off into the comfiest sleep ever."
        scene bg alley with Fade (2,2,2)
        "You wake up to a familiar voice calling for you."
        d "[playername]! Helloo! [playername]!"
        p "Daddeh!"
        "You jump up to your feet, shaking the sleep from your eyes as you try to pinpoint the source of the voice."
        d "[playername]! Where are you? [playername]!"
        "It's daddy! You can hear his voice coming from the street!"
        if scoredfluffy:
            jump fluffyending
        elif scoredsmarty:
            jump smartyending
        elif scoredfast:
            jump fastending
        elif scoredretard:
            jump retardending
        elif scoredcandy:
            jump candyending
        else:
            "A virgin going to sleep with a special friend? ERROR!"
            return

    label compositeending:
        if scoredfluffy:
            $scoredfluffy=False
            jump fluffycompositeending
        if scoredsmarty:
            $scoredsmarty=False
            jump smartycompositeending
        if scoredfast:
            $scoredfast=False
            jump fastcompositeending
        if scoredretard:
            $scoredretard=False
            jump retardcompositeending
        if scoredcandy:
            $scoredcandy=False
            jump candycompositeending
        if score < 5:
            scene bg compositeend with Fade(1,1,1)
            "And so, you got the happiest fluffy family ever!"
            "Every night, you and your special friends sleep in a wonderful little fluffpile. And every day is the bestest day ever, filled with lots of play and huggies."
            "You and your special friends love each other more than anything. Your life is truly a dream come true."
            theend " THE END \n SCORE: [score]/5"
        else:
            scene bg bestending with Fade(2,1,2)
            "The first days with your new family were one big blur of activity. Your house had never had so many fluffies before, and you spent forever making sure that everyone knew the rules and got settled in comfortably."
            "It was like a dream come true. Before you hadn't had a single special friend, but now you couldn't even go to the litterbox without bumping into fluffies to hug along the way!"
            "You needed a bigger bed just so all of you could fit in it. Sleeping in a fluffpile was so much better than sleeping alone!"
            "And then the babies started coming. So many little babies! You could hardly believe it!"
            "You and daddy helped your special friends take care of them, and daddy made sure they would all get adopted into good homes."
            "You and your family love each other so very much! Your life is truly a dream come true!"
            theend " PERFECT END \n SCORE: [score]/5"
        return

    label fluffycompositeending:
        scene bg fluffyending with Fade(1,1,1)
        "Walnut was overjoyed about her new name, as well as her new home."
        "You showed her around your saferoom, introducing her to your toys and told her about daddy's rules."
        "Walnut was a good fluffy. And after forever, she gave birth to many good babies!"
        "Walnut was so happy! And you were happy too! Babies are the best thing ever!"
        jump compositeending
    label smartycompositeending:
        scene bg smartyending with Fade(1,1,1)
        "Minerva quickly settled into her new home, and learned all of daddy's rules faster than anybody."
        "You introduced her to your toys, and she was really excited about your storybooks!"
        "You spent many days just reading stories together. She even started making stories of her own!"
        "You and your babies love her stories! She must be the smartest fluffy ever!"
        jump compositeending
    label fastcompositeending:
        scene bg fastending with Fade(1,1,1)
        "Fast was really excited about the new house, and loved running around in the backyard."
        "Daddy even taught Fast new games to play with the ball, and you had so much fun playing them with her!"
        "Daddy was so impressed by her speed, he decided to take her to a big racetrack to see if she really was the fastest fluffy ever."
        "Now Fast goes to running competitions where she runs with all the fastest fluffies from around the world!"
        "And when she comes home, there's nothing she loves more than cuddling by your side and recovering with good huggies."
        "But the best part is, she is so fast that every human wants to adopt her babies! That means you get to have many, many special huggies with her!"
        jump compositeending
    label retardcompositeending:
        scene bg retardending with Fade(1,1,1)
        "At first, [yellowsname] had a hard time navigating the house, but after a few weeks she started to remember where everything was located."
        "She had a few accidents, but daddy wasn't angry - instead, he started making moving pictures about her and sending them to the internet!"
        "Daddy says Fart now has over million friends around the world! That's incredible!"
        "Her friends send her all kinds of new toys to play with, and you play with her every day while daddy makes more moving pictures."
        "He even started making clothes with her pictures on them so her friends could look at her any time! Daddy is so nice!"
        jump compositeending
    label candycompositeending:
        scene bg candyending with Fade(1,1,1)
        "You learned that Candy was called an alicorn, and that alicorns were super-duper rare!"
        "Humans love alicorns so much that they give daddy money just for letting them see her! She has even won awards for being so pretty!"
        "You are so proud of her! She is officially the prettiest mare in the whole world!"
        jump compositeending
    return










    #s "Once you add a story, pictures, and music, you can release it to the world!"

    # This ends the game.

    return
